<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class group_listJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_total = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
	var $season_id = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		
		$this->getData();
		
	}

	function getData()
	{
		$query = "SELECT COUNT(*) FROM #__bl_groups";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		
		$query = "SELECT * FROM #__bl_groups ORDER BY ordering";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$this->_data = $this->db->loadObjectList();
		
		// return $this->_data;
	}

	
	
	
}