<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class languagesJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $s_id = null;
	var $team_id = null;
	var $limit	  = null;
	var $limitstart = null;
	var $_total		= null;
	var $_pagination = null;
	
	function __construct()
	{
		parent::__construct();
		
		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		
		$this->getData();
	}

	function getData()
	{
		$query = "SELECT COUNT(*)"
		. "\n FROM #__bl_languages";
		$this->db->setQuery( $query );
		$total = $this->db->loadResult();
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		
		$query = "SELECT * "
		. "\n FROM #__bl_languages"
		. "\n ORDER BY lang_file"
		. "\n LIMIT $pageNav->limitstart, $pageNav->limit"
		;
		$this->db->setQuery( $query );
		$this->_data = $this->db->loadObjectList();
		
		
	}
	
	// public function saveLang(){
		
	// }
    public function pubLang($cid){
		$query = "UPDATE #__bl_languages SET is_default = 0 WHERE is_default = 1";
		$this->db->SetQuery( $query );
		$this->db->query();
		if (count( $cid )) {
		$query = "UPDATE #__bl_languages SET is_default = 1 WHERE id = '".$cid[0]."'";
		$this->db->SetQuery( $query );
		$this->db->query();
		}
	}
	
	public function delLang($cid){
		if (count( $cid )) {
			$cids = implode( ',', $cid );
			$query = "SELECT lang_file FROM #__bl_languages WHERE id IN ( $cids ) and lang_file <> 'default'";
			$this->db->setQuery( $query );
			$lang_files = $this->db->LoadObjectList();
			$query = "DELETE FROM #__bl_languages"
			. "\n WHERE id IN ( $cids ) and lang_file <> 'default'";
			$this->db->setQuery( $query );
			if (!$this->db->query()) {
				echo "<script> alert('".$this->db->getErrorMsg()."'); window.history.go(-1); </script>\n";
			}
			if (count($lang_files)) {
				foreach ($lang_files as $lang_file) {
					if (file_exists(JPATH_ROOT."/media/bearleague/languages/".$lang_file->lang_file.".php")) {
						@unlink(JPATH_ROOT."/media/bearleague/languages/".$lang_file->lang_file.".php");
					}
				}
			}
		}
	}
    
    
    
}
