<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class match_editJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	// var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}

	function getData()
	{

		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		$row 	= new JTableMatch($this->db);
		$row->m_id = ($row->m_id)?($row->m_id):(0);
		$row->load($cid[0]);
		
		$query = "SELECT s_id FROM #__bl_matchday  WHERE id = '".$row->m_id."'";
		$this->db->setQuery($query);
		$season_id = $this->db->loadResult();
		$season_id = ($season_id)?($season_id):(0);
		// print_r($season_id);die;
	if($season_id){	
		$is_matchday = array();
		$query = "SELECT * FROM #__bl_matchday  WHERE s_id = ".$season_id." ORDER BY m_name";
		$this->db->setQuery($query);
		$mday = $this->db->loadObjectList();
		$is_matchday[] = JHtml::_('select.option',  0, JText::_('BLBE_SELMD'), 'id', 'm_name' ); 
		$mdayis = array_merge($is_matchday,$mday);
		$this->_lists['mday'] = JHtml::_('select.genericlist',   $mdayis, 'm_id', 'class="inputbox" size="1"', 'id', 'm_name', $row->m_id);
		
		$is_event = array();
		$query = "SELECT * FROM #__bl_events WHERE player_event = '1' ORDER BY e_name";
		$this->db->setQuery($query);
		$events = $this->db->loadObjectList();
		$is_event[] = JHtml::_('select.option',  0, JText::_('BLBE_SELEVENT'), 'id', 'e_name' ); 
		$ev_pl = array_merge($is_event,$events);
		$this->_lists['events'] = JHtml::_('select.genericlist',   $ev_pl, 'event_id', 'class="inputbox" size="1"', 'id', 'e_name', 0);
		
		$is_event = array();
		$query = "SELECT * FROM #__bl_events WHERE player_event = '0' ORDER BY e_name";
		$this->db->setQuery($query);
		$events = $this->db->loadObjectList();
		$is_event[] = JHtml::_('select.option',  0, JText::_('BLBE_SELEVENT'), 'id', 'e_name' ); 

		$ev_pl = array_merge($is_event,$events);
		$this->_lists['team_events'] = JHtml::_('select.genericlist',   $ev_pl, 'tevent_id', 'class="inputbox" size="1"', 'id', 'e_name', 0);
		$query = "SELECT t_name FROM #__bl_teams WHERE id= ".$row->team1_id;
		$this->db->setQuery($query);
		$team_1 = $this->db->loadResult();
		$query = "SELECT t_name FROM #__bl_teams WHERE id= ".$row->team2_id;
		$this->db->setQuery($query);
		$team_2 = $this->db->loadResult();
		
		$this->_lists['teams1'] = $team_1;
		$this->_lists['teams2'] = $team_2;
		
		$is_player = array();
		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players WHERE team_id = ".$row->team1_id." ORDER BY first_name,last_name";
		$this->db->setQuery($query) ;
		$players_1 = $this->db->loadObjectList();
	/////	
// player squad 1
		$query = "SELECT player_id FROM #__bl_squard WHERE match_id = '".$row->m_id."' AND team_id = '".$row->team1_id."'";
		$this->db->setQuery($query) ;
		$pl_1_sq = $this->db->loadColumn();
		$pl_in_sq1 = count($pl_1_sq)?implode(',',$pl_1_sq):('0');

		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players as pl WHERE pl.team_id = ".$row->team1_id." AND pl.id NOT IN(".$pl_in_sq1.") ORDER BY pl.first_name,pl.last_name";
		$this->db->setQuery($query) ;
		$players_1_sq = $this->db->loadObjectList();
//	 player squad 1	
		$query = "SELECT player_id FROM #__bl_squard WHERE match_id = '".$row->m_id."' AND team_id = '".$row->team2_id."'";
		$this->db->setQuery($query) ;
		$pl_2_sq = $this->db->loadColumn();
		$pl_in_sq2 = count($pl_2_sq)?implode(',',$pl_2_sq):('0');
	// print_r($pl_in_sq1);
		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players as pl WHERE pl.team_id = ".$row->team2_id." AND pl.id NOT IN(".$pl_in_sq2.") ORDER BY pl.first_name,pl.last_name";
		$this->db->setQuery($query) ;
		$players_2_sq = $this->db->loadObjectList();
	////	
		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players WHERE team_id = ".$row->team2_id." ORDER BY first_name,last_name";
		$this->db->setQuery($query) ;
		$players_2 = $this->db->loadObjectList();
		$is_player[] = JHtml::_('select.option',  0, JText::_('BLBE_SELPLAYER'), 'id', 'p_name' ); 
		$is_player[] = JHtml::_('select.optgroup',  $team_1, 'id', 'p_name' ); 
		$is_player2[] = JHtml::_('select.optgroup',  $team_2, 'id', 'p_name' ); 
		//$is2_player[] = '</optgroup>';$this->_lists['players']
		//$ev_pl = array_merge($is_player,$players_1,$is_player2,$players_2);
		$jqre = '<select name="playerz_id" id="playerz_id" class="inputbox" size="1">';
			$jqre .= '<option value="">'.JText::_('BLBE_SELPLAYER').'</option>';
			$jqre .= '<optgroup label="'.$team_1.'">';
			for($g=0;$g<count($players_1);$g++){
				$jqre .= '<option value="'.$players_1[$g]->id.'">'.$players_1[$g]->p_name.'</option>';
			}
			$jqre .= '</optgroup>';
			$jqre .= '<optgroup label="'.$team_2.'">';
			for($g=0;$g<count($players_2);$g++){
				$jqre .= '<option value="'.$players_2[$g]->id.'">'.$players_2[$g]->p_name.'</option>';
			}
			$jqre .= '</optgroup>';
			$jqre .= '</select>';
			
			$this->_lists['players'] = $jqre;
		//$this->_lists['players'] = JHtml::_('select.genericlist',   $ev_pl, 'playerz_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		
		$is_player_sq[] = JHtml::_('select.option',  0, JText::_('BLBE_SELPLAYER'), 'id', 'p_name' ); 
		$ev_pl = array_merge($is_player_sq,$players_1_sq);
		$this->_lists['players_team1'] = JHtml::_('select.genericlist',   $ev_pl, 'playersq1_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		$this->_lists['players_team1_res'] = JHtml::_('select.genericlist',   $ev_pl, 'playersq1_id_res', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		$ev_pl = array_merge($is_player_sq,$players_2_sq);
		$this->_lists['players_team2'] = JHtml::_('select.genericlist',   $ev_pl, 'playersq2_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		$this->_lists['players_team2_res'] = JHtml::_('select.genericlist',   $ev_pl, 'playersq2_id_res', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		
		$is_team[] = JHtml::_('select.option',  0, JText::_('BLBE_SELTEAM'), 'id', 'p_name' ); 
		$is_team[] = JHtml::_('select.option', $row->team1_id, $team_1, 'id', 'p_name' ); 
		$is_team[] = JHtml::_('select.option', $row->team2_id, $team_2, 'id', 'p_name' ); 
		//$is2_player[] = '</optgroup>';$this->_lists['players']
		$this->_lists['sel_team'] = JHtml::_('select.genericlist',   $is_team, 'teamz_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
		
		$this->_lists['extra'] 		= JHtml::_('select.booleanlist',  'is_extra', 'class="inputbox"', $row->is_extra );
		$this->_lists['m_played'] 		= JHtml::_('select.booleanlist',  'm_played', 'class="inputbox"', $row->m_played );
		
		$query = "SELECT me.*,ev.e_name,CONCAT(p.first_name,' ',p.last_name) as p_name FROM  #__bl_events as ev , #__bl_players as p, #__bl_match_events as me WHERE me.player_id = p.id AND ev.player_event = '1' AND  me.e_id = ev.id AND me.match_id = ".$row->id." ORDER BY CAST(me.minutes AS UNSIGNED),p.first_name,p.last_name";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->_lists['m_events'] = $this->db->loadObjectList();
		
		$query = "SELECT me.*,ev.e_name,p.t_name as p_name,p.id as pid FROM  #__bl_events as ev, #__bl_teams as p , #__bl_match_events as me WHERE me.t_id = p.id AND ev.player_event = '0' AND  me.e_id = ev.id AND me.match_id = ".$row->id." ORDER BY p.t_name";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->_lists['t_events'] = $this->db->loadObjectList();
		
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 3 AND cat_id = ".$row->id."";
		$this->db->setQuery($query);
		$this->_lists['photos'] = $this->db->loadObjectList();
		
		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($row->id?$row->id:"-1")." WHERE ef.published=1 AND ef.type='2' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		$this->_lists['ext_fields'] = $this->db->loadObjectList();
		
		//----squard----//
		$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team1_id} AND s.mainsquard = '1'";
		$this->db->setQuery($query);
		$this->_lists['squard1'] = $this->db->loadObjectList();
		$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team2_id} AND s.mainsquard = '1'";
		$this->db->setQuery($query);
		$this->_lists['squard2'] = $this->db->loadObjectList();
		$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team1_id} AND s.mainsquard = '0'";
		$this->db->setQuery($query);
		$this->_lists['squard1_res'] = $this->db->loadObjectList();
		$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team2_id} AND s.mainsquard = '0'";
		$this->db->setQuery($query);
		$this->_lists['squard2_res'] = $this->db->loadObjectList();
	}	
		$this->_data = $row;
		$this->_lists["post_max_size"] = $this->getValSettingsServ("post_max_size");
		// return $this->_data;
	}
	
	
	
	public function saveMatch(){
			
		// $mainframe = JFactory::getApplication();
		
		// $db			= JFactory::getDBO();

		$post		= JRequest::get( 'post' );
		$post['match_descr'] = JRequest::getVar( 'match_descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		
		$row 	= new JTableMatch($this->db);
		$row->m_date = JRequest::getVar( 'm_date', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row->m_time = JRequest::getVar( 'd_time', '', 'post', 'string', JREQUEST_ALLOWRAW );
				
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		/*$query = "DELETE FROM #__bl_match_events WHERE match_id = ".$row->id;
		$this->db->setQuery($query);
		$this->db->query();
		*/
		$me_arr = array();

		if(isset($_POST['new_eventid']) && count($_POST['new_eventid'])){
			for ($i=0; $i< count($_POST['new_eventid']); $i++){
				if(!intval($_POST['em_id'][$i])){
		
					$new_event = $_POST['new_eventid'][$i];
					
					
					$query = "SELECT team_id FROM #__bl_players WHERE id=".intval($_POST['new_player'][$i]);
					$this->db->setQuery($query);
					$teamid = $this->db->loadResult();
					
		
					$query = "INSERT INTO #__bl_match_events(e_id,player_id,match_id,ecount,minutes,t_id) VALUES(".$new_event.",".$_POST['new_player'][$i].",".$row->id.",".intval($_POST['e_countval'][$i]).",".intval($_POST['e_minuteval'][$i]).",".intval($teamid).")";
					$this->db->setQuery($query);
					$this->db->query();
					
					$me_arr[] = $this->db->insertid();
				}else{
					$query = "SELECT * FROM #__bl_match_events WHERE id=".intval($_POST['em_id'][$i]);
					$this->db->setQuery($query);
					$event_bl = $this->db->loadObjectList();
					
					if(count($event_bl)){
						$query = "UPDATE #__bl_match_events SET minutes=".intval($_POST['e_minuteval'][$i]).",ecount=".intval($_POST['e_countval'][$i])." WHERE id=".intval($_POST['em_id'][$i]);
						$this->db->setQuery($query);
						$this->db->query();
						
						$me_arr[] = intval($_POST['em_id'][$i]);
					}
				}
			}
        }

			//$query = "DELETE  me.* FROM #__bl_match_events as me, #__bl_events as e WHERE match_id = ".$row->id." ".count($me_arr)?("AND id NOT IN (".implode(',',$me_arr).")"):('')." AND me.e_id = e.id AND e.player_event = 1";
			//$this->db->setQuery($query);
			///$this->db->query();
        $query = "DELETE me.* FROM #__bl_match_events as me, #__bl_events as e  WHERE me.match_id = ".$row->id." AND me.e_id = e.id AND e.player_event = 1";
        if(count($me_arr)){ $query.=" AND me.id NOT IN (".implode(',',$me_arr).")";}
        $this->db->setQuery($query);
        $this->db->query();


	$query = "DELETE me.* FROM #__bl_match_events as me,#__bl_events as e WHERE me.match_id = ".$row->id." AND me.e_id=e.id AND player_event=0";
			$this->db->setQuery($query);
			$this->db->query();
		if(isset($_POST['new_teventid']) && count($_POST['new_teventid'])){
			for ($i=0; $i< count($_POST['new_teventid']); $i++){
				$new_event = $_POST['new_teventid'][$i];
				$query = "INSERT INTO #__bl_match_events(e_id,t_id,match_id,ecount,minutes) VALUES(".$new_event.",".$_POST['new_tplayer'][$i].",".$row->id.",".intval($_POST['et_countval'][$i]).",'0')";
				$this->db->setQuery($query);
				$this->db->query();
                //$me_arr_t[] = intval($_POST['et_id'][$i]);
			}
		}


		$query = "SELECT p.id FROM #__bl_assign_photos as ph, #__bl_photos as p WHERE p.id = ph.photo_id AND ph.cat_type = 3 AND ph.cat_id = ".$row->id;
        $this->db->setQuery($query);
        $in_id = $this->db->loadColumn();
		
		$query = "DELETE FROM #__bl_assign_photos WHERE cat_type = 3 AND cat_id = ".$row->id;
		$this->db->setQuery($query);
		$this->db->query();
		if(isset($_POST['photos_id']) && count($_POST['photos_id'])){
			for($i = 0; $i < count($_POST['photos_id']); $i++){
				$photo_id = intval($_POST['photos_id'][$i]);
				$photo_name = addslashes(strval($_POST['ph_names'][$i]));
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$photo_id.",".$row->id.",3)";
				$this->db->setQuery($query);
				$this->db->query();
				
				$query = "UPDATE #__bl_photos SET ph_name = '".($photo_name)."' WHERE id = ".$photo_id;
				$this->db->setQuery($query);
				$this->db->query();
				
				$key = array_search($_POST['photos_id'][$i], $in_id);
                //print_r($key);die;
                if(is_int($key)){
                    unset($in_id[$key]);
                }
			}
		}		
		if(count($in_id)){
            $query = "DELETE FROM #__bl_photos WHERE id IN(".implode(',',$in_id).")";
            $this->db->setQuery($query);
            $this->db->query();
        }
	if($_FILES['player_photo_1']['size']){
		if(isset($_FILES['player_photo_1']['name']) && $_FILES['player_photo_1']['tmp_name'] != '' && isset($_FILES['player_photo_1']['tmp_name'])){
			$bl_filename = strtolower($_FILES['player_photo_1']['name']);
			$ext = pathinfo($_FILES['player_photo_1']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
			//echo $bl_filename;
			 if($this->uploadFile($_FILES['player_photo_1']['tmp_name'], $bl_filename)){
				$post1['ph_filename'] = $bl_filename;
				
				$img1 = new JTablePhotos($this->db);
				$img1->id = 0;
				if (!$img1->bind( $post1 )) {
					JError::raiseError(500, $img1->getError() );
				}
				if (!$img1->check()) {
					JError::raiseError(500, $img1->getError() );
				}
				// if new item order last in appropriate group
				
				if (!$img1->store()) {
					JError::raiseError(500, $img1->getError() );
				}
				$img1->checkin();
				
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$img1->id.",".$row->id.",3)";
				$this->db->setQuery($query);
				$this->db->query();
			 }
		}
	}else{
		if($_FILES['player_photo_1']['error'] == 1){
			$mainframe->redirect( 'index.php?option=com_joomsport&task=match_edit&cid[]='.$row->id,JText::_( 'BLBE_WRNGPHOTO' ),'warning');
		}
	}
	if($_FILES['player_photo_2']['size']){
		if(isset($_FILES['player_photo_2']['name']) && $_FILES['player_photo_2']['tmp_name'] != ''  && isset($_FILES['player_photo_2']['tmp_name'])){
			 $bl_filename = strtolower($_FILES['player_photo_2']['name']);
			$ext = pathinfo($_FILES['player_photo_2']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
			 if($this->uploadFile($_FILES['player_photo_2']['tmp_name'], $bl_filename)){
				$post2['ph_filename'] = $bl_filename;
				
				$img2 = new JTablePhotos($this->db);
				$img2->id = 0;
				if (!$img2->bind( $post2 )) {
					JError::raiseError(500, $img2->getError() );
				}
				if (!$img2->check()) {
					JError::raiseError(500, $img2->getError() );
				}
				// if new item order last in appropriate group
				
				if (!$img2->store()) {
					JError::raiseError(500, $img2->getError() );
				}
				$img2->checkin();
				
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$img2->id.",".$row->id.",3)";
				$this->db->setQuery($query);
				$this->db->query();
			 }
		}
	}else{
		if($_FILES['player_photo_2']['error'] == 1){
			$mainframe->redirect( 'index.php?option=com_joomsport&task=match_edit&cid[]='.$row->id,JText::_( 'BLBE_WRNGPHOTO' ),'warning');
			
		}
	}	
		//-------extra fields-----------//
		if(isset($_POST['extraf']) && count($_POST['extraf'])){
			for($p=0;$p<count($_POST['extraf']);$p++){
				$query = "DELETE FROM #__bl_extra_values WHERE f_id = ".$_POST['extra_id'][$p]." AND uid = ".$row->id;
				$this->db->setQuery($query);
				$this->db->query();
				$query = "INSERT INTO #__bl_extra_values(f_id,uid,fvalue) VALUES(".$_POST['extra_id'][$p].",".$row->id.",'".$_POST['extraf'][$p]."')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		//-----SQUARD--------///
		$query = "DELETE FROM #__bl_squard WHERE match_id = ".$row->id;
			$this->db->setQuery($query);
			$this->db->query();
		if(isset($_POST['t1_squard']) && count($_POST['t1_squard'])){
			for ($i=0; $i< count($_POST['t1_squard']); $i++){
				$new_event = $_POST['t1_squard'][$i];
				$query = "INSERT INTO #__bl_squard(match_id,team_id,player_id,mainsquard) VALUES(".$row->id.",".$row->team1_id.",".$new_event.",'1')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		
		if(isset($_POST['t2_squard']) && count($_POST['t2_squard'])){
			for ($i=0; $i< count($_POST['t2_squard']); $i++){
				$new_event = $_POST['t2_squard'][$i];
				$query = "INSERT INTO #__bl_squard(match_id,team_id,player_id,mainsquard) VALUES(".$row->id.",".$row->team2_id.",".$new_event.",'1')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		if(isset($_POST['t1_squard_res']) && count($_POST['t1_squard_res'])){
			for ($i=0; $i< count($_POST['t1_squard_res']); $i++){
				$new_event = $_POST['t1_squard_res'][$i];
				$query = "INSERT INTO #__bl_squard(match_id,team_id,player_id,mainsquard) VALUES(".$row->id.",".$row->team1_id.",".$new_event.",'0')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		if(isset($_POST['t2_squard_res']) && count($_POST['t2_squard_res'])){
			for ($i=0; $i< count($_POST['t2_squard_res']); $i++){
				$new_event = $_POST['t2_squard_res'][$i];
				$query = "INSERT INTO #__bl_squard(match_id,team_id,player_id,mainsquard) VALUES(".$row->id.",".$row->team2_id.",".$new_event.",'0')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		$this->_id = $row->id;

	}
	
	function deleteMday($cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_matchday WHERE id IN (".$cids.")");
			$this->db->query();
			$this->db->setQuery("DELETE FROM #__bl_match WHERE m_id IN (".$cids.")");
			$this->db->query();
		}
	}
	function getMdID(){
		if($this->_id){
			$query = "SELECT m_id FROM #__bl_match WHERE id=".$this->_id;
			$this->db->setQuery($query);
			return $this->db->loadResult();
		}
	}
	
	
	
	
}