<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class match_menuJSModel extends JSPRO_Models
{
	
	var $_data = null;

	var $_total = null;
	var $_lists = null;
	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
	var $_season_id = 0;
	
	function __construct()
	{
		parent::__construct();
		// JHtml::_('behavior.framework');
		$mainframe = JFactory::getApplication();

		$option="com_joomsport";
		// Get the pagination request variables
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
	
		$this->getData();
	}

	function getData()
	{
	
		$query = "SELECT COUNT(*) FROM #__bl_matchday as md , #__bl_match as m WHERE m.m_id = md.id";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		$query = "SELECT m.*,md.m_name,t1.t_name as home,t2.t_name as away FROM #__bl_tournament as t LEFT JOIN #__bl_seasons as s ON t.id = s.t_id, #__bl_matchday as md , #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2  WHERE s.s_id =md.s_id AND m.m_id = md.id AND t1.id = m.team1_id AND t2.id = m.team2_id AND t.published = '1' AND s.published = '1' ORDER BY md.s_id,m.m_id";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$this->_data = $this->db->loadObjectList();
		
		// return $this->_data;
	}

	
	
}