<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class matchday_editJSModel extends JSPRO_Models
{
	
	var $_data = null;///
	var $_lists = null;///
	var $_mode = 1;
	var $s_id = null;////
	var $_match = null;////
	var $extra_opt = null;////
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		$season_id	= $mainframe->getUserStateFromRequest( $option.'.s_id', 's_id', 0, 'int' );
	
		$this->getData($season_id);
	}

	function getData($season_id)
	{
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		$row 	= new JTableMday($this->db);
		$row->id = ($row->id)?($row->id):(0);
		$row->load($cid[0]);
		$this->_data = $row;	
		
		
		
		$query = "SELECT s.s_id as id, CONCAT(t.name,' ',s.s_name) as name FROM #__bl_tournament as t, #__bl_seasons as s WHERE s.s_id = ".($row->s_id?$row->s_id:$season_id)." AND s.t_id = t.id ORDER BY t.name, s.s_name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
		//$lists['tourn'] = JHtml::_('select.genericlist',   $tourn, 's_id', 'class="inputbox" size="1"', 'id', 'name', $row->s_id?$row->s_id:$season_id );
		$this->_lists['tourn'] = $tourn[0]->name;
	//print_r($this->_lists['tourn']);	
		$query = "SELECT m.*,t.t_name as home_team, t2.t_name as away_team FROM #__bl_match as m, #__bl_teams as t, #__bl_teams as t2  WHERE m.m_id = ".$row->id." AND t.id = m.team1_id AND t2.id = m.team2_id  ORDER BY m.id";
		$this->db->setQuery($query);
		$this->_match = $this->db->loadObjectList();
		
		$is_team = array();
		$query = "SELECT * FROM #__bl_teams as t , #__bl_season_teams as st WHERE st.team_id = t.id AND st.season_id = ".($row->s_id?$row->s_id:$season_id)." ORDER BY t.t_name";
		$this->db->setQuery($query);
		$team = $this->db->loadObjectList();
		$is_team[] = JHtml::_('select.option',  0, JText::_('BLBE_SELTEAM'), 'id', 't_name' ); 
		$teamis = array_merge($is_team,$team);
		$this->_lists['teams1'] = JHtml::_('select.genericlist',   $teamis, 'teams1', 'class="inputbox" size="1" id="teams1"', 'id', 't_name', 0 );
		$this->_lists['teams2'] = JHtml::_('select.genericlist',   $teamis, 'teams2', 'class="inputbox" size="1" id="teams2"', 'id', 't_name', 0 );
		
		$this->_lists['is_playoff'] 		= JHtml::_('select.booleanlist',  'is_playoff', 'class="inputbox"', $row->is_playoff );
		
		$query = "SELECT s_enbl_extra FROM #__bl_seasons WHERE s_id = ".($row->s_id?$row->s_id:$season_id)."";
		$this->db->setQuery($query);
		$this->extra_opt = $this->db->loadResult();

		$this->s_id = $row->s_id?$row->s_id:$season_id; 
		
	}
	
	
	
	public function saveMday(){
		
		// $mainframe = JFactory::getApplication();
	
		// $db			= JFactory::getDBO();
		
		$post		= JRequest::get( 'post' );
		$post['m_descr'] = JRequest::getVar( 'm_descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row 	= new JTableMday($this->db);
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		// save match
		$mj = 0;
		$arr_match = array();
		if(isset($_POST['home_team']) && count($_POST['home_team'])){
			foreach($_POST['home_team'] as $home_team){
				$match 	= new JTableMatch($this->db);
				$match->load($_POST['match_id'][$mj]);
				$match->m_id = $row->id;
				$match->team1_id = intval($home_team);
				$match->team2_id = intval($_POST['away_team'][$mj]);
				$match->score1 = intval($_POST['home_score'][$mj]);
				$match->score2 = intval($_POST['away_score'][$mj]);
				$match->is_extra = isset($_POST['extra_time'][$mj])?(intval($_POST['extra_time'][$mj])):(0);
				$match->published = 1;
				$match->m_played = intval($_POST['match_played'][$mj]);
				
				$match->m_date = strval($_POST['match_data'][$mj]);
				$match->m_time = strval($_POST['match_time'][$mj]);
				
				if (!$match->check()) {
					JError::raiseError(500, $match->getError() );
				}
				
				if (!$match->store()) {
					JError::raiseError(500, $match->getError() );
				}
				$match->checkin();
				$arr_match[] = $match->id;
				$mj++;
			}
				$query = "SELECT id FROM #__bl_match WHERE id NOT IN (".implode(',',$arr_match).") AND m_id = ".$row->id;
				$this->db->setQuery($query);
				$mcids1 = $this->db->loadColumn();
			if(count($mcids1)){
				$mcids = implode(',',$mcids1);
                                $this->db->setQuery("DELETE p,ap FROM #__bl_photos as p, #__bl_assign_photos as ap WHERE p.id = ap.photo_id AND ap.cat_type = 3 AND ap.cat_id IN (".$mcids.")");
                                $this->db->query();
			}
                        
                        $this->db->setQuery("SELECT id FROM #__bl_match WHERE id NOT IN (".implode(',',$arr_match).") AND m_id = ".$row->id);
			$match_to_delete = $this->db->loadColumn();
                        
			$this->db->setQuery("DELETE FROM #__bl_match WHERE id NOT IN (".implode(',',$arr_match).") AND m_id = ".$row->id);
			$this->db->query();
					
			
			$query = "SELECT id FROM #__bl_extra_filds WHERE type = '2'";
			$this->db->setQuery($query);
			$ex_arr = $this->db->loadColumn();
			
			if(count($ex_arr)){
				$this->db->setQuery("DELETE FROM #__bl_extra_values WHERE uid IN ('".implode("','",$match_to_delete)."') AND f_id IN (".implode(',',$ex_arr).")");
				$this->db->query();
			}
		}else{
		
			$query = "SELECT id FROM #__bl_match WHERE m_id = ".$row->id;
			$this->db->setQuery($query);
			$mcids = $this->db->loadColumn();
			
			$this->db->setQuery("DELETE FROM #__bl_match WHERE m_id = ".$row->id);
			$this->db->query();
			
			if(count($mcids)){
                $mcids = implode(',',$mcids);
                $this->db->setQuery("DELETE p,ap FROM #__bl_photos as p, #__bl_assign_photos as ap WHERE p.id = ap.photo_id AND ap.cat_type = 3 AND ap.cat_id IN (".$mcids.")");
                $this->db->query();
            }
		}
		
		$this->_id = $row->id;
	}
	
	function deleteMday($cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_matchday WHERE id IN (".$cids.")");
			$this->db->query();
			
			$this->db->setQuery("DELETE m,p,ap FROM #__bl_match as m, #__bl_photos as p, #__bl_assign_photos as ap WHERE m.m_id IN (".$cids.") AND p.id = ap.photo_id AND ap.cat_type = 3 AND ap.cat_id = m.id"); 
			$this->db->query();
			
			$query = "SELECT id FROM #__bl_match WHERE m_id IN (".$cids.")";
			$this->db->setQuery($query);
			$mcids = $this->db->loadColumn();
		
			if($mcids){
				$this->db->setQuery("DELETE FROM #__bl_match WHERE id IN (".implode(',',$mcids).")");
				$this->db->query();
			}	
			$query = "SELECT id FROM #__bl_extra_filds WHERE type = '2'";
			$this->db->setQuery($query);
			$ex_arr = $this->db->loadColumn();
			
			if(count($ex_arr)){
				$this->db->setQuery("DELETE FROM #__bl_extra_values WHERE uid IN (".implode(',',$mcids).") AND f_id IN (".implode(',',$ex_arr).")");
				$this->db->query();
			}
		}
	}
	
	
}