<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class player_listJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_total = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
	var $f_team = null;
	var $f_pos = null;
	var $pageNav = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = 'com_joomsport';
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$this->f_team		= $mainframe->getUserStateFromRequest( $option.'.filter_team', 'f_team', 0, 'int' );
		$this->f_pos		= $mainframe->getUserStateFromRequest( $option.'.filter_pos', 'f_pos', 0, 'int' );
		
		$this->getData();

	}

	function getData()
	{
		$query = "SELECT COUNT(*) FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t WHERE p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"").($this->f_pos?" AND bp.p_id =".$this->f_pos:"")." ";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		
		$query = "SELECT p.*,t.t_name,bp.p_name FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t WHERE p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"").($this->f_pos?" AND bp.p_id =".$this->f_pos:"")."  ORDER BY p.first_name,p.last_name";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
        $data_l = $this->db->loadObjectList();


        $query = "SELECT p.*,bp.p_name FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id WHERE p.team_id = '0' ".($this->f_pos?" AND bp.p_id =".$this->f_pos:"")."  ORDER BY p.first_name,p.last_name";
        $this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
        $data_n = ($this->f_team)?(array()):$this->db->loadObjectList();

        $this->_data = array_merge($data_l,$data_n);

		$javascript = 'onchange = "document.adminForm.submit();"';
			
		$pos = array();
		$query = "SELECT * FROM #__bl_positions ORDER BY p_name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
		$pos[] = JHtml::_('select.option',  0, JText::_('BLBE_SELPOSITION'), 'p_id', 'p_name' ); 
		$positions = array_merge($pos,$tourn);
		$this->_lists['pos'] = JHtml::_('select.genericlist',   $positions, 'f_pos', 'class="inputbox" size="1"'.$javascript, 'p_id', 'p_name', $this->f_pos );
		
		$is_team = array();
		$query = "SELECT t.id as id,t.t_name FROM #__bl_teams as t ORDER BY t.t_name";
		$this->db->setQuery($query);
		$team = $this->db->loadObjectList();
		$is_team[] = JHtml::_('select.option',  0, JText::_('BLBE_SELTEAM'), 'id', 't_name' ); 
		$teamis = array_merge($is_team,$team);
		$this->_lists['teams1'] = JHtml::_('select.genericlist',   $teamis, 'f_team', 'class="inputbox" size="1"'.$javascript, 'id', 't_name', $this->f_team);
	}

	

	//
	function delPlayer($cid){
		$mainframe = JFactory::getApplication();
	
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_players WHERE id IN (".$cids.")");
			$this->db->query();
			
			$query = "DELETE p,ap FROM #__bl_photos as p, #__bl_assign_photos as ap WHERE ap.cat_id IN (".$cids.") AND p.id = ap.photo_id  AND ap.cat_type = 1";
            $this->db->setQuery($query);
            $this->db->query();
			
			$query = "SELECT id FROM `#__bl_extra_filds` WHERE type = 0";
            $this->db->setQuery($query);
            $fid = $this->db->loadColumn();
            if(count($fid)){
                $fids = implode(',',$fid);
                $query = "DELETE FROM `#__bl_extra_values` WHERE uid IN (".$cids.") AND f_id IN (".$fids.")";
                $this->db->setQuery($query);
                $this->db->query();
            }
		}
			
	}

}