<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class pos_editJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}

	function getData()
	{
		
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		
		$row 	= new JTablePos($this->db);
		// $row->p_id = ($row->id)?($row->id):(0);
		$row->load($cid[0]);
		
		$this->_data = $row;
		
	}

	public function savePos(){
		
		$post		= JRequest::get( 'post' );
	
		$row 	= new JTablePos($this->db);
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		$this->_id = $row->p_id;
	}

    public function orderPos(){
        // $db			= JFactory::getDBO();
        $cid		= JRequest::getVar( 'cid', array(), 'post', 'array' );
        $order		= JRequest::getVar( 'order', array(), 'post', 'array' );

        $row		= new JTablePos($this->db);;
        $total		= count( $cid );

        if (empty( $cid )) {
            return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
        }
        //update ordering values
        for ($i = 0; $i < $total; $i++)
        {
            $row->load( (int) $cid[$i] );
            if ($row->ordering != $order[$i])
            {
                $row->ordering = $order[$i];
                if (!$row->store()) {
                    return JError::raiseError( 500, $this->db->getErrorMsg() );
                }
                //remember to reorder this category


            }
        }

    }
	
}