<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class pos_listJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_total = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
    var $pos_res = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		
		
		$this->getData();
	}

	function getData()
	{
        $query = "SELECT cfg_name, cfg_value FROM #__bl_config WHERE cfg_name = 'pos_order'";
        $this->db->setQuery($query);
        $this->pos_res = $this->db->loadAssoc();
//print_R($this->pos_res);
		$query = "SELECT COUNT(*) FROM #__bl_positions ORDER BY p_name";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;

        $pos_order = '';
		$pos_order = ($this->pos_res['cfg_value'])?(' ORDER BY ordering'):(' ORDER BY p_name');

		$query = "SELECT *,p_id as id FROM #__bl_positions".$pos_order;
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$this->_data = $this->db->loadObjectList();
	}

	public function savePos($cid){
		if(count($cid)){
            $cids = implode(',',$cid);
            $this->db->setQuery("DELETE FROM #__bl_positions WHERE p_id IN (".$cids.")");
            $this->db->query();
	    }
	}
	
	public function delPos($cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_positions WHERE p_id IN (".$cids.")");
			$this->db->query();
		}
	}
	
	
}