<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class season_listJSModel extends JSPRO_Models
{
	
	var $_data = null;

	var $_total = null;
	var $_lists = null;
	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = 'com_joomsport';
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		
		$this->getData();
	}

	function getData()
	{
		$query = "SELECT COUNT(*) FROM #__bl_seasons as s LEFT JOIN #__bl_tournament as t ON t.id = s.t_id";
		$this->db->setQuery($query);
		$this->_total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $this->_total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		$query = "SELECT s.*,s.s_id as id,t.name FROM #__bl_seasons as s LEFT JOIN #__bl_tournament as t ON t.id = s.t_id  ORDER BY s.s_name";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$this->_data = $this->db->loadObjectList();
	}

	
	function js_publish($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "UPDATE `".$table."` SET published = '1' WHERE s_id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
		}
		
	}
	
	function js_unpublish($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "UPDATE `".$table."` SET published = '0' WHERE s_id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
		}
	}
	
	function js_delete($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "DELETE FROM `".$table."` WHERE s_id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
			$query = "DELETE p,ap,m,md FROM #__bl_photos as p, #__bl_assign_photos as ap,#__bl_match as m,#__bl_matchday as md  WHERE md.id=m.m_id AND p.id = ap.photo_id AND ap.cat_type = 3 AND ap.cat_id = m.id AND s_id IN (".$cids.")";
                $this->db->setQuery($query);
                $this->db->query();
			if($table == "#__bl_seasons"){
                $query = "SELECT id FROM `#__bl_extra_filds` WHERE type = 3";
                $this->db->setQuery($query);
                $fid = $this->db->loadColumn();
                if(count($fid)){
                    $fids = implode(',',$fid);
                    $query = "DELETE FROM `#__bl_extra_values` WHERE uid IN (".$cids.") AND f_id IN (".$fids.")";
                    $this->db->setQuery($query);
                    $this->db->query();
                }

                $query = "DELETE FROM `#__bl_feadmins` WHERE season_id IN (".$cids.")";
                $this->db->setQuery($query);
                $this->db->query();

				
				$query = "SELECT id FROM #__bl_matchday WHERE s_id IN (".$cids.")";
				$this->db->setQuery($query);
				$mdid = $this->db->loadColumn();
				
				$query = "DELETE FROM `#__bl_matchday` WHERE s_id IN (".$cids.")";
				$this->db->setQuery($query);
				$this->db->query();
				
				if(count($mdid)){
                    $mdids = implode(',',$mdid);
                    $query = "SELECT id FROM #__bl_match WHERE m_id IN (".$mdids.")";
                    $this->db->setQuery($query);
                    $mids = $this->db->loadColumn();

                    $query = "DELETE FROM `#__bl_match` WHERE m_id IN (".$mdids.")";
                    $this->db->setQuery($query);
                    $this->db->query();
					
					if(count($mids)){
						$query = "DELETE ev FROM #__bl_extra_filds as ef, #__bl_extra_values as ev WHERE ef.type = '2' AND ef.id = ev.f_id AND ev.uid IN(".implode(',',$mids).")";
						$this->db->setQuery($query);
						$this->db->query();
					}
				}
            }
		}
	}
}