<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class team_editJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	// var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}

	function getData()
	{
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		$row 	= new JTableTeams($this->db);
		$row->id = ($row->id)?($row->id):(0);
		$row->load($cid[0]);
		$this->_data = $row;
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 2 AND cat_id = ".$row->id."";
		$this->db->setQuery($query);
		$this->_lists['photos'] = $this->db->loadObjectList();
		
		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($row->id?$row->id:"-1")." WHERE ef.published=1 AND ef.type='1' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		$this->_lists['ext_fields'] = $this->db->loadObjectList();
		
		$query = "SELECT st.*,CONCAT(t.name,' ',s.s_name) as name FROM  #__bl_seasons as s LEFT JOIN #__bl_tournament as t ON t.id = s.t_id, #__bl_season_teams as st WHERE s.s_id = st.season_id AND st.team_id=".$row->id;
		$this->db->setQuery($query);
		$this->_lists["bonuses"] = $this->db->loadObjectList();
		
		 $this->_lists["post_max_size"] = $this->getValSettingsServ("post_max_size");
	}
	
	
	
	public function saveTeam(){
		$post		= JRequest::get( 'post' );
		$post['t_descr'] = JRequest::getVar( 't_descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$post['def_img'] = JRequest::getVar( 'ph_default', 0, 'post', 'int' );
		$post['t_yteam'] = JRequest::getVar( 't_yteam', 0, 'post', 'int' );
		$row 	= new JTableTeams($this->db);
		$istlogo = JRequest::getVar( 'istlogo', 0, 'post', 'int' );
		
		if(!$istlogo){
			$post['t_emblem'] = '';
		}
			
		if(isset($_FILES['t_logo']['name']) && $_FILES['t_logo']['tmp_name'] != '' && isset($_FILES['t_logo']['tmp_name'])){
			$bl_filename = strtolower($_FILES['t_logo']['name']);
			$ext = pathinfo($_FILES['t_logo']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
					
			//echo $bl_filename;
			 if($this->uploadFile($_FILES['t_logo']['tmp_name'], $bl_filename)){
				$post['t_emblem'] = $bl_filename;
			 }
		}
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		$query = "SELECT p.id FROM #__bl_assign_photos as ph, #__bl_photos as p WHERE p.id = ph.photo_id AND ph.cat_type = 2 AND ph.cat_id = ".$row->id;
        $this->db->setQuery($query);
        $in_id = $this->db->loadColumn();

		$query = "DELETE FROM #__bl_assign_photos WHERE cat_type = 2 AND cat_id = ".$row->id;
		$this->db->setQuery($query);
		$this->db->query();
		if(isset($_POST['photos_id']) && count($_POST['photos_id'])){
			for($i = 0; $i < count($_POST['photos_id']); $i++){
				$photo_id = intval($_POST['photos_id'][$i]);
				$photo_name = addslashes(strval($_POST['ph_names'][$i]));
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$photo_id.",".$row->id.",2)";
				$this->db->setQuery($query);
				$this->db->query();
				
				$query = "UPDATE #__bl_photos SET ph_name = '".($photo_name)."' WHERE id = ".$photo_id;
				$this->db->setQuery($query);
				$this->db->query();
				
				$key = array_search($_POST['photos_id'][$i], $in_id);
                //print_r($key);die;
                if(is_int($key)){
                    unset($in_id[$key]);
                }
			}
		}
		
		if(count($in_id)){
            $query = "DELETE FROM #__bl_photos WHERE id IN(".implode(',',$in_id).")";
            $this->db->setQuery($query);
            $this->db->query();
        }
if($_FILES['player_photo_1']['size']){
		if(isset($_FILES['player_photo_1']['name']) && $_FILES['player_photo_1']['tmp_name'] != '' && isset($_FILES['player_photo_1']['tmp_name'])){
			$bl_filename = strtolower($_FILES['player_photo_1']['name']);
			$ext = pathinfo($_FILES['player_photo_1']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
			//echo $bl_filename;
			 if($this->uploadFile($_FILES['player_photo_1']['tmp_name'], $bl_filename)){
				$post1['ph_filename'] = $bl_filename;
				
				$img1 = new JTablePhotos($this->db);
				$img1->id = 0;
				if (!$img1->bind( $post1 )) {
					JError::raiseError(500, $img1->getError() );
				}
				if (!$img1->check()) {
					JError::raiseError(500, $img1->getError() );
				}
				// if new item order last in appropriate group
				
				if (!$img1->store()) {
					JError::raiseError(500, $img1->getError() );
				}
				$img1->checkin();
				
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$img1->id.",".$row->id.",2)";
				$this->db->setQuery($query);
				$this->db->query();
			 }
		}
}else{
    if($_FILES['player_photo_1']['error'] == 1){
        $mainframe->redirect( 'index.php?option=com_joomsport&task=team_edit&cid[]='.$row->id,JText::_( 'BLBE_WRNGPHOTO' ),'warning');
    }
}
if($_FILES['player_photo_2']['size']){
		if(isset($_FILES['player_photo_2']['name']) && $_FILES['player_photo_2']['tmp_name'] != ''  && isset($_FILES['player_photo_2']['tmp_name'])){
			 $bl_filename = strtolower($_FILES['player_photo_2']['name']);
			$ext = pathinfo($_FILES['player_photo_2']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
			 if($this->uploadFile($_FILES['player_photo_2']['tmp_name'], $bl_filename)){
				$post2['ph_filename'] = $bl_filename;
				
				$img2 = new JTablePhotos($this->db);
				$img2->id = 0;
				if (!$img2->bind( $post2 )) {
					JError::raiseError(500, $img2->getError() );
				}
				if (!$img2->check()) {
					JError::raiseError(500, $img2->getError() );
				}
				// if new item order last in appropriate group
				
				if (!$img2->store()) {
					JError::raiseError(500, $img2->getError() );
				}
				$img2->checkin();
				
				$query = "INSERT INTO #__bl_assign_photos(photo_id,cat_id,cat_type) VALUES(".$img2->id.",".$row->id.",2)";
				$this->db->setQuery($query);
				$this->db->query();
			 }
		}
}else{
    if($_FILES['player_photo_2']['error'] == 1){
        $mainframe->redirect( 'index.php?option=com_joomsport&task=team_edit&cid[]='.$row->id,JText::_( 'BLBE_WRNGPHOTO' ),'warning');
		
    }
}
		//-------extra fields-----------//
		if(isset($_POST['extraf']) && count($_POST['extraf'])){
			for($p=0;$p<count($_POST['extraf']);$p++){
				$query = "DELETE FROM #__bl_extra_values WHERE f_id = ".$_POST['extra_id'][$p]." AND uid = ".$row->id;
				$this->db->setQuery($query);
				$this->db->query();
				$query = "INSERT INTO #__bl_extra_values(f_id,uid,fvalue) VALUES(".$_POST['extra_id'][$p].",".$row->id.",'".$_POST['extraf'][$p]."')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}

		//-------Bonuses points----//
		if(isset($_POST['sids']) && count($_POST['sids'])){
            for($p=0;$p<count($_POST['sids']);$p++){
				$query = "UPDATE #__bl_season_teams SET bonus_point = ".(intval($_POST['bonuses'][$p]))." WHERE season_id=".$_POST['sids'][$p]." AND team_id=".$row->id;
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		$this->_id = $row->id;
	}
	
}