<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.model');

class JSPRO_Models{
	
	public $db = null;
	public $uri = null;
	public $mainframe = null;
	
	protected $js_table = null;
	
	function __construct()
	{
		$this->db		= JFactory::getDBO();
		$this->uri		= JFactory::getURI();
		$this->mainframe = JFactory::getApplication();
	}
	function getJS_Config($val){
		$query = "SELECT cfg_value FROM #__bl_config WHERE cfg_name='".$val."'";
		$this->db->setQuery($query);
		return $this->db->loadResult();
	}
	
	function js_publish($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "UPDATE `".$table."` SET published = '1' WHERE id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
			$error = $this->db->getErrorMsg();
			if ($error)
			{
				return JError::raiseError(500, $error);
			}
		}
		
	}
	
	function js_unpublish($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "UPDATE `".$table."` SET published = '0' WHERE id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
			$error = $this->db->getErrorMsg();
			if ($error)
			{
				return JError::raiseError(500, $error);
			}
		}
	}
	
	function js_delete($table,$cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$query = "DELETE FROM `".$table."` WHERE id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
			$error = $this->db->getErrorMsg();
			if ($error)
			{
				return JError::raiseError(500, $error);
			}
            switch($table){
                case '#__bl_extra_filds':
                    $query = "DELETE FROM `#__bl_extra_values` WHERE f_id IN (".$cids.")";
                    $this->db->setQuery($query);
                    $this->db->query();
                break;
                default:break;
            }
		}
	}
	
	
	function uploadFile( $filename, $userfile_name, $dir = '') 
	{
		$msg = '';
		if(!$dir){
			$baseDir =  JPATH_ROOT . '/media/bearleague/' ;
		}else{
			$baseDir = $dir;
		}
		jimport('joomla.filesystem.path');
		if (file_exists( $baseDir )) {
			if (is_writable( $baseDir )) {
				if (move_uploaded_file( $filename, $baseDir . $userfile_name )) {
				
					if (JPath::setPermissions( $baseDir . $userfile_name )) {
						return true;
					} else {
						$msg = JText::_("BLBE_UPL_PERM");
					}
				} else {
					$msg = JText::_("BLBE_UPL_MOVE");
				}
			} else {
				$msg = JText::_("BLBE_UPL_TMP");
			}
		} else {
			$msg = JText::_("BLBE_UPL_TMPEX");
		}
		if($msg != ''){
			JError::raiseError(500, $msg );
		}
		return false;
	}
	function getAdditfields($type, $id, $sid=0){
		$query = "SELECT ef.*,ev.fvalue as fvalue,ev.fvalue_text FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($id?intval($id):-1)." WHERE ef.published=1 AND ef.type='".$type."' ORDER BY ef.ordering";
		if($type == 1 || $type == 0){
			$query = "SELECT DISTINCT(ef.id),ef.*,ev.fvalue as fvalue,ev.fvalue_text FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($id?intval($id):-1)." AND ((ev.season_id={$sid} AND ef.season_related = '1') OR (ev.season_id=0 AND ef.season_related = '0')) WHERE ef.published=1 AND ef.type='".$type."' ORDER BY ef.ordering";
			$this->db->setQuery($query);
			$ext_fields_teams = $this->db->loadObjectList();
			if(!count($ext_fields_teams)){
				$query = "SELECT DISTINCT(ef.id),ef.*,ev.fvalue as fvalue,ev.fvalue_text FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($id?intval($id):-1)." WHERE ef.published=1 AND ef.type='".$type."' AND ev.season_id=0 ORDER BY ef.ordering";
			}
		}

		$this->db->setQuery($query);
		$ext_fields = $this->db->loadObjectList();
		$error = $this->db->getErrorMsg();
		if ($error)
		{
			return JError::raiseError(500, $error);
		}
		$mj=0;
		if(isset($ext_fields)){
			foreach ($ext_fields as $extr){
				if($extr->field_type == '3'){
					$tmp_arr = array();
					$query = "SELECT * FROM #__bl_extra_select WHERE fid=".$extr->id." ORDER BY eordering";
					$this->db->setQuery($query);
					$selvals = $this->db->loadObjectList();
					$error = $this->db->getErrorMsg();
					if ($error)
					{
						return JError::raiseError(500, $error);
					}
					if(count($selvals)){
						$tmp_arr[] = JHTML::_('select.option',  0, JText::_('BLBE_SELECTVALUE'), 'id', 'sel_value' ); 
						$selvals = array_merge($tmp_arr,$selvals);
						$ext_fields[$mj]->selvals = JHTML::_('select.genericlist',   $selvals, 'extraf['.$extr->id.']', 'class="inputbox" size="1"', 'id', 'sel_value', $extr->fvalue );
					}
				}
				if($extr->field_type == '1'){
					$ext_fields[$mj]->selvals	= JHTML::_('select.booleanlist',  'extraf['.$extr->id.']', 'class="inputbox"', $extr->fvalue );
				}
				$mj++;
			}
		}
		return $ext_fields;
	}
	
	function getSeasDList($s_id, $query_s, $frm, $javascript, $sel = 0, $hname){
		$query = "SELECT * FROM #__bl_tournament WHERE published = '1' ORDER BY name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
		
		$jqre = '<select name="'.$hname.'" id="'.$hname.'" class="styled jfsubmit" size="1" '.$javascript.'>';
		if($sel == 1){
			$jqre .= '<option value="0">'.JText::_('BLBE_SELECTIONNO').'</option>';
		}
		if($frm){
			$jqre .= '<option value="-1" '.((-1 == $s_id)?"selected":"").'>'.JText::_('BLBE_FRIENDLYMATCH').'</option>';
		}	
		
		
		$ind_s = 0;
		for($i=0;$i<count($tourn);$i++){
			$is_tourn2 = array();
			$query = str_replace('{tourid}',$tourn[$i]->id,$query_s);
			$this->db->setQuery($query);
			$rows = $this->db->loadObjectList();
			if(count($rows)){
			$ind_s = 1;
				$jqre .= '<optgroup label="'.htmlspecialchars($tourn[$i]->name).'">';///this
				for($g=0;$g<count($rows);$g++){
					$jqre .= '<option value="'.$rows[$g]->id.'" '.(($rows[$g]->id == $s_id)?"selected":"").'>'.$rows[$g]->s_name.'</option>';
				}
				$jqre .= '</optgroup>';
			}
		}
		$jqre .= '</select>';

		return $jqre;

		
	
	}
	
	function getSeasAttr($s_id){
		$query = "SELECT s.s_id as id, CONCAT(t.name,' ',s.s_name) as name,t.t_type,t.t_single,s.s_enbl_extra FROM #__bl_tournament as t, #__bl_seasons as s WHERE s.s_id = ".(intval($s_id))." AND s.t_id = t.id ORDER BY t.name, s.s_name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObject();
		$error = $this->db->getErrorMsg();
		if ($error)
		{
			return JError::raiseError(500, $error);
		}
		if($tourn){
			return $tourn;
		}else{
			return null;
		}
	}
	function get_kn_cfg(){
		//variables for knockout
		$cfg = new stdClass();
		$cfg->wdth = 150;
		$cfg->height = 50;
		$cfg->step = 70; 
		$cfg->top_next = 50;
		return $cfg;
	}
	
	function addonexist($addon_name){
		$query = "SELECT name FROM #__bl_addons WHERE published='1' AND name='".$addon_name."'";
		$this->db->setQuery($query);
		return $this->db->loadResult();
	}
	function isBet(){
		$query = "SELECT name FROM #__bl_addons WHERE published='1' AND name='betting'";
		$this->db->setQuery($query);
		$is_betting = $this->db->loadResult();
		return $is_betting;
	}
	////////////
	function getValSettingsServ($val){
        $val_sett = ini_get($val);
        switch (substr ($val_sett, -1))
        {
            case 'M': case 'm': return (int)$val_sett * 1048576;
            case 'K': case 'k': return (int)$val_sett * 1024;
            case 'G': case 'g': return (int)$val_sett * 1073741824;
            default: return $val_sett;
        }
    }
	
}

?>