<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require(dirname(__FILE__).'/../../includes/pagination.php');

class admin_matchdayJSModel extends JSPRO_Models
{
	// var $_data = null;
	var $_rows = null;
	var $total = null;
	var $pageNav = null;
	var $params = null;

	// var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
	var $season_id = null;
	
	function __construct()
	{
		parent::__construct();
		$mainframe = JFactory::getApplication();
		$pathway  = $mainframe->getPathway(); //
		$document = JFactory::getDocument();// 
		$this->params	= $mainframe->getParams();
		
		
		$option = 'com_joomsport';
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
	
		$this->season_id	= $mainframe->getUserStateFromRequest( $option.'.sid', 'sid', 0, 'int' );

	}
	
	function getData()
	{
		
		// $this->_params = $this->JS_PageTitle(JText::_('BLFA_MDAY_EDIT'));
		
		
		$query = "SELECT COUNT(*) FROM #__bl_matchday as m , #__bl_tournament as t LEFT JOIN #__bl_seasons as s ON s.t_id = t.id WHERE m.s_id = s.s_id ".($this->season_id?" AND s.s_id=".$this->season_id:"")."  ORDER BY m.m_name";
		$this->db->setQuery($query);
		$this->total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$this->pageNav = new JPagination( $this->total, $this->limitstart, $this->limit );
		
		$query = "SELECT m.*, t.name as tourn,s.s_name FROM #__bl_matchday as m , #__bl_tournament as t LEFT JOIN #__bl_seasons as s ON s.t_id = t.id WHERE m.s_id = s.s_id ".($this->season_id?" AND s.s_id=".$this->season_id:"")."  ORDER BY m.m_name";
		$this->db->setQuery($query, $this->pageNav->limitstart, $this->pageNav->limit);
		$this->_rows = $this->db->loadObjectList();
		
	}
	
}