<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require(dirname(__FILE__).'/../../includes/pagination.php');

class blteamJSModel extends JSPRO_Models
{
	var $_rows = null;
	var $total = null;
	var $pageNav = null;
	var $params = null;

	// var $_pagination = null;
	var $limit = null;
	var $limitstart = null;
	var $s_id = null;
	var $team_id = null;
	var $pathway = null;
	var $document = null;
	var $teams = null;
	var $season_par = null;
	var $matshes = null;
	var $players = null;
	var $events = null;
	var $player_table = null;
	var $lists = null;
	var $_bl_lang = null;
    var $def_img = null;
	
	function __construct()
	{
		
		parent::__construct();
		
		$mainframe = JFactory::getApplication();
		$this->pathway  = $mainframe->getPathway(); //
		$this->document = JFactory::getDocument();// 
		$this->params	= $mainframe->getParams();
		
		$this->team_id = JRequest::getVar( 'tid', 0, '', 'int' );
		$this->s_id = JRequest::getVar( 'sid', 0, '', 'int' );
	//print_r($this->s_id);	
		$query = "SELECT * FROM #__bl_teams WHERE id = ".$this->team_id;
		$this->db->setQuery($query);
		$this->teams = $this->db->loadObjectList();
	
		if(!count($this->teams)){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return; 
		}
	
	}
	
	function getData()
	{
		
		$query = "SELECT * FROM #__bl_teams WHERE id = ".$this->team_id;
		$this->db->setQuery($query);
		$this->teams = $this->db->loadObjectList();
		
		$this->lists['team'] = $this->teams[0];
		// $this->lists['team'] = $this->lists['team']s[0];
		
		require_once(JPATH_ROOT.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsport'.DIRECTORY_SEPARATOR.'bl_lang.php');
		// print_r(JPATH_ROOT.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsport'.DIRECTORY_SEPARATOR.'bl_lang.php');
		$this->_bl_lang = $bl_lang;
		$query = "SELECT * FROM #__bl_seasons WHERE s_id = ".$this->s_id;
			$this->db->setQuery($query);
			$this->season_par = $this->db->LoadObjectList();
			$this->season_par = $this->season_par[0];
		// print_r($this->lists['this->lists['team']']);echo "!!!!!";die();
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 2 AND cat_id = ".$this->team_id;
		$this->db->setQuery($query);
		$this->photos = $this->db->loadObjectList();
   // print_r($this->photos);
		// print_r($this->lists['this->lists['team']']);echo "!!!!!";die();
		//$def_img = '';
		if($this->lists['team']->def_img){
			$query = "SELECT ph_filename FROM  #__bl_photos as p WHERE p.id = ".$this->lists['team']->def_img;
			$this->db->setQuery($query);
			$this->def_img = $this->db->loadResult();
		}else if(isset($this->photos[0])){
			$this->def_img = $this->photos[0]->filename;
		}
    //print_r($def_img);
		// print_r($this->lists['team']);echo "!!!!!";die();
		$query = "SELECT md.m_name,m.id as mid,m.m_date,m.m_time, t1.t_name as home, t2.t_name as away, score1,score2,m.is_extra, m.m_played FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1 AND (m.team1_id = ".$this->team_id." OR m.team2_id = ".$this->team_id.") AND m.team1_id = t1.id AND m.team2_id = t2.id AND md.s_id=".$this->s_id." ORDER BY m.m_date,m.m_time";
		$this->db->setQuery($query);
		$this->matshes = $this->db->loadObjectList();
		//----
        $query = "SELECT * FROM #__bl_config WHERE cfg_name = 'pos_order'";
        $this->db->setQuery($query);
        $pos_res = $this->db->loadAssoc();
//print_r( $pos_order['cfg_value']);
        $pos_order = ($pos_res['cfg_value'])?('ps.ordering,'):('');

		$query = "SELECT * FROM #__bl_players as p LEFT JOIN #__bl_positions as ps ON p.position_id = ps.p_id WHERE p.team_id = ".$this->team_id." ORDER BY ".$pos_order."p.position_id,p.first_name,p.last_name";
		$this->db->setQuery($query);
		$this->players = $this->db->loadObjectList();



		$query = "SELECT DISTINCT(ev.id),ev.* FROM #__bl_events as ev, #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md WHERE ev.id = me.e_id AND me.match_id = m.id AND m.m_id=md.id AND md.s_id=".$this->s_id." AND ev.player_event = 1  ORDER BY ev.id";
		$this->db->setQuery($query);
		$this->events = $this->db->loadObjectList();
		
		$this->player_table = array();
		
		$query = "SELECT ef.name FROM #__bl_extra_filds as ef  WHERE ef.published=1 AND ef.type = '0' AND ef.e_table_view = '1' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		
		$ext_fields_name = $this->db->loadColumn();
		
		for($i=0;$i<count($this->players);$i++){
			if($i == 0){
				$this->player_table[0][] = JText::_($bl_lang['BL_TBL_PLAYER']);
				$this->player_table[0][] = JText::_($bl_lang['BL_TBL_POSITION']);
				
				
			}
			$Itemid = JRequest::getInt('Itemid'); 

			$this->player_table[$i+1][] = "<a href='".JRoute::_('index.php?option=com_joomsport&amp;task=player&amp;id='.$this->players[$i]->id.'&amp;sid='.$this->s_id.'&amp;Itemid='.$Itemid)."'>".$this->players[$i]->first_name.' '.$this->players[$i]->last_name."</a>";
			$this->player_table[$i+1][] = $this->players[$i]->p_name;
			
			
			for($j=0;$j<count($this->events);$j++){
				if($i==0){
					$ev_tbl = $this->events[$j]->e_name;
					if($this->events[$j]->e_img && is_file('media/bearleague/events/'.$this->events[$j]->e_img)){
						$ev_tbl = '<img src="media/bearleague/events/'.$this->events[$j]->e_img.'" title="'.$this->events[$j]->e_name.'" style="height:20px !important;" />';
					}
					$this->player_table[0][] = $ev_tbl;
				}
				$this->db->setQuery("SELECT SUM(me.ecount) FROM #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md WHERE me.e_id = ".$this->events[$j]->id." AND me.player_id = ".$this->players[$i]->id." AND me.match_id = m.id AND m.m_played = 1 AND md.id=m.m_id AND md.s_id=".$this->s_id);
				$curcount = $this->db->loadResult();
				$this->player_table[$i+1][]  = intval($curcount)?intval($curcount):0;
			}
			if($i == 0){
				if(count($ext_fields_name)){
					$this->player_table[0] = array_merge($this->player_table[0],$ext_fields_name);
				}
			}
			$query = "SELECT IF(ev.fvalue <> '',ev.fvalue,'&nbsp;') FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".$this->players[$i]->id." WHERE ef.published=1 AND ef.type = '0' AND ef.e_table_view = '1' ORDER BY ef.ordering";
			$this->db->setQuery($query);
	
			$ext_pl = $this->db->loadColumn();
			
			if(count($ext_pl)){
				$this->player_table[$i+1] = array_merge($this->player_table[$i+1],$ext_pl);
			}
		}
		
		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".$this->team_id." WHERE ef.published=1 AND ef.type = '1' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		$this->ext_fields = $this->db->loadObjectList();
		
		//social buttons
		$ogimg = '';
		if($this->lists['team']->t_emblem && is_file('media/bearleague/'.$this->lists['team']->t_emblem)){
			$ogimg = JURI::base().'media/bearleague/'.$this->lists['team']->t_emblem;
		}
		$this->lists['socbut'] = getSocialButtons('jsbp_team',$this->lists['team']->t_name,$ogimg,htmlspecialchars(strip_tags($this->lists['team']->t_descr)));
		
	}
	
}	

