<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class edit_matchdayJSModel extends JSPRO_Models
{
	var $_data 		 = null;
	var $_lists		 = null;
	var $mid 		 = null;
	var $season_id 	 = null;
	var $msg    	 = null;
	var $t_type      = null;
	var $is_id 		 = null;
	var $cid 		 = null;
	var $_user 		 = null;
	// var $mainframe 	 = null;
	var $row 	 = null;
	var $match 	 = null;
	var $extra_opt = null;

	
	function __construct()
	{
		parent::__construct();
		
		$mainframe = JFactory::getApplication();
		
		$this->is_id = 0;
		$this->cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		
		$query = "SELECT s.s_id as id, CONCAT(t.name,' ',s.s_name) as name FROM #__bl_tournament as t, #__bl_seasons as s WHERE s.t_id = t.id   ORDER BY t.name, s.s_name";
		$this->db->setQuery($query);
		$tourns = $this->db->loadObjectList(); 
		JArrayHelper::toInteger($this->cid, array(0));
		if(!empty($this->cid[0]))
		{
			$this->is_id = $this->cid[0];
		}
		$option = 'com_joomsport';
		$this->season_id	= $mainframe->getUserStateFromRequest( $option.'.sid', 'sid', $tourns[0]->id, 'int' );
		$this->mid = JRequest::getVar( 'mid', 0, '', 'int' );	
		$this->msg = JRequest::getVar( 'msg', '', 'get', 'string', JREQUEST_ALLOWRAW );
		
		$this->row 	= new JTableMday($this->db);
		$this->row->load($this->is_id?$this->is_id:$this->mid);
		$this->_data = $this->row;
		
		if($this->is_id){
			
			$query = "SELECT COUNT(*) FROM #__bl_seasons as s LEFT JOIN #__bl_tournament as t ON t.id = s.t_id WHERE  s.s_id = ".($this->row->s_id?$this->row->s_id:$this->season_id);
			$this->db->setQuery($query);
			
			if(!$this->db->loadResult()){
				
				JError::raiseError( 403, JText::_('Access Forbidden') );
				return; 
			}
		}
	}
	function getData(){
		
			//$tpl="edit";
			// $lists = array();	
	
		$this->_lists['is_playoff'] 		= JHTML::_('select.booleanlist',  'is_playoff', 'class="inputbox"', $this->row->is_playoff );
		$query = "SELECT m.*,t.t_name as home_team, t2.t_name as away_team, t.id as t1id, t2.id as t2id FROM #__bl_match as m, #__bl_teams as t, #__bl_teams as t2  WHERE m.m_id = ".($this->row->id?$this->row->id:"0")." AND t.id = m.team1_id AND t2.id = m.team2_id  ORDER BY m.id";
		$this->db->setQuery($query);
		$this->match = $this->db->loadObjectList();

		$is_team = array();
		$query = "SELECT * FROM #__bl_teams as t , #__bl_season_teams as st WHERE st.team_id = t.id AND st.season_id = ".($this->row->s_id?$this->row->s_id:$this->season_id)." ORDER BY t.t_name";
		$this->db->setQuery($query);
		$team = $this->db->loadObjectList();
		$is_team[] = JHTML::_('select.option',  0, JText::_('BLFA_SELTEAM'), 'id', 't_name' ); 
		$teamis = array_merge($is_team,$team);
		$this->_lists['teams1'] = JHTML::_('select.genericlist',   $teamis, 'teams1', 'class="inputbox" size="1" id="teams1"', 'id', 't_name', 0 );
		$this->_lists['teams2'] = JHTML::_('select.genericlist',   $teamis, 'teams2', 'class="inputbox" size="1" id="teams2"', 'id', 't_name', 0 );
		
		$query = "SELECT s_enbl_extra FROM #__bl_seasons WHERE s_id = ".($this->row->s_id?$this->row->s_id:$this->season_id)."";
        $this->db->setQuery($query);
        $this->extra_opt = $this->db->loadResult();
	
	}
}