<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class matchJSModel extends JSPRO_Models
{
	var $_lists = null;
	var $s_id = null;
	var $t_single = null;
	var $t_type = null;
	var $m_id = null;
	var $match = null;
	var $season_par = null;
	var $m_events_home = null;
	var $m_events_away = null;
	var $t_events = null;
	var $photos = null;
	var $at_events = null;
	var $ext_fields = null;
	
	function __construct()
	{
		parent::__construct();
		
		$this->m_id = JRequest::getVar( 'id', 0, '', 'int' );
		
		$query = "SELECT md.m_name,m.match_descr,m.m_time,m.m_date, t1.t_name as home, t2.t_name as away, score1,score2,md.s_id,m.is_extra,t1.id as hm_id,t2.id as aw_id,m.m_played,m.m_location FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1  AND m.team1_id = t1.id AND m.team2_id = t2.id AND m.id = ".$this->m_id;
		$this->db->setQuery($query);
		$matchs = $this->db->loadObjectList();
		
		if(!count($matchs)){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return; 
		}
		$this->match = $matchs[0];
		
	}

	function getData()
	{
		
		
		
		$query = "SELECT * FROM #__bl_seasons WHERE s_id = ".$this->match->s_id;
			$this->db->setQuery($query);
			$this->season_par = $this->db->LoadObjectList();
			$this->season_par = $this->season_par[0];
		
		$query = "SELECT me.*,ev.*,CONCAT(p.first_name,' ',p.last_name) as p_name,p.team_id,p.id as plid FROM #__bl_match_events as me, #__bl_events as ev, #__bl_players as p WHERE me.player_id = p.id AND ev.player_event = '1' AND me.e_id = ev.id AND me.match_id = ".$this->m_id." AND me.t_id=".$this->match->hm_id." ORDER BY CAST(me.minutes AS UNSIGNED)";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->m_events_home = $this->db->loadObjectList();
		
		$query = "SELECT me.*,ev.*,CONCAT(p.first_name,' ',p.last_name) as p_name,p.team_id,p.id as plid FROM #__bl_match_events as me, #__bl_events as ev, #__bl_players as p WHERE me.player_id = p.id AND ev.player_event = '1' AND me.e_id = ev.id AND me.match_id = ".$this->m_id." AND me.t_id=".$this->match->aw_id." ORDER BY CAST(me.minutes AS UNSIGNED)";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->m_events_away = $this->db->loadObjectList();
		
		$query = "SELECT me.*,ev.*,p.t_name as p_name,p.id FROM #__bl_match_events as me, #__bl_events as ev, #__bl_teams as p WHERE me.t_id = p.id AND me.t_id = ".$this->match->hm_id." AND ev.player_event = '0' AND me.e_id = ev.id AND me.match_id = ".$this->m_id." ORDER BY ev.e_name";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->t_events = $this->db->loadObjectList();
		
		$query = "SELECT me.*,ev.*,p.t_name as p_name,p.id FROM #__bl_match_events as me, #__bl_events as ev ,#__bl_teams as p WHERE me.t_id = p.id AND me.t_id = ".$this->match->aw_id." AND ev.player_event = '0' AND me.e_id = ev.id AND me.match_id = ".$this->m_id." ORDER BY ev.e_name";
		$this->db->setQuery($query);
		//echo mysql_error();die();
		$this->at_events = $this->db->loadObjectList();
		//var_dump($at_events);
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 3 AND cat_id = ".$this->m_id;
		$this->db->setQuery($query);
		$this->photos = $this->db->loadObjectList();
		
		
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		
		
		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".$this->m_id." WHERE ef.published=1 AND ef.type='2' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		$this->ext_fields = $this->db->loadObjectList();
		
		//----squard----//
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$this->m_id." AND s.team_id={$this->match->hm_id} AND s.mainsquard = '1'";
	$this->db->setQuery($query);
	$this->_lists['squard1'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$this->m_id." AND s.team_id={$this->match->aw_id} AND s.mainsquard = '1'";
	$this->db->setQuery($query);
	$this->_lists['squard2'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$this->m_id." AND s.team_id={$this->match->hm_id} AND s.mainsquard = '0'";
	$this->db->setQuery($query);
	$this->_lists['squard1_res'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$this->m_id." AND s.team_id={$this->match->aw_id} AND s.mainsquard = '0'";
	$this->db->setQuery($query);
	$this->_lists['squard2_res'] = $this->db->loadObjectList();
	
	//social buttons
		$tt = $this->match->home.' '.($this->match->m_played?$this->match->score1:'-').':'.($this->match->m_played?$this->match->score2:'-').' '.$this->match->away;
		$this->_lists['socbut'] = getSocialButtons('jsbp_match',$tt,'',htmlspecialchars(strip_tags($this->match->match_descr)));
	}
	
}	