<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class moderadmin_playerJSModel extends JSPRO_Models
{
	var $_data = null;
	var $_lists = null;
	var $id = null;
	var $tid = null;
	var $limit = null;
	var $limitstart = null;
	var $f_pos = null;
	var $sid = null;
	var $pageNav = null;
	var $rows = null;
	function __construct()
	{
		parent::__construct();
		
		$option = 'com_joomsport';
		$mainframe = JFactory::getApplication();
		$this->tid		= $mainframe->getUserStateFromRequest( $option.'.tid', 'tid', 0, 'int' );
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$this->f_pos		= $mainframe->getUserStateFromRequest( $option.'.filter_pos', 'f_pos', 0, 'int' );
		$this->sid 		= JRequest::getVar( 'sid', 0, '', 'int' );
		

	}

	function getData()
	{
		$query = "SELECT COUNT(DISTINCT(p.id)) FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t WHERE p.team_id = t.id AND t.id =".$this->tid."".($this->f_pos?" AND bp.p_id =".$this->f_pos:"")." ";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();

		

		jimport('joomla.html.pagination');
		$this->pageNav = new JPagination( $total, $this->limitstart, $this->limit );

		

		$query = "SELECT DISTINCT(p.id),p.*,t.t_name,bp.p_name FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t WHERE p.team_id = t.id AND t.id =".$this->tid."".($this->f_pos?" AND bp.p_id =".$this->f_pos:"")."  ORDER BY p.position_id,p.first_name,p.last_name";
		$this->db->setQuery($query, $this->pageNav->limitstart, $this->pageNav->limit);
		$this->rows = $this->db->loadObjectList();

		

		$javascript = 'onchange = "document.adminForm.submit();"';

			

		$pos = array();
		$query = "SELECT * FROM #__bl_positions ORDER BY p_name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
		$pos[] = JHTML::_('select.option',  0, JText::_('Select Position'), 'p_id', 'p_name' ); 
		$positions = array_merge($pos,$tourn);
		$this->_lists['pos'] = JHTML::_('select.genericlist',   $positions, 'f_pos', 'class="inputbox" size="1"'.$javascript, 'p_id', 'p_name', $this->f_pos );
	}
}