<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class moderedit_matchJSModel extends JSPRO_Models
{
	var $_data = null;
	var $_lists = null;
	var $_match = null;

	var $tid = null;
	var $sid = null;
	var $is_id = null;
	///
	function __construct()
	{
		parent::__construct();
		$mainframe = JFactory::getApplication();
		$this->tid 		= JRequest::getVar( 'tid', 0, '', 'int' );
		
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		if($cid[0])
		{
			$this->is_id = $cid[0];
		}
		$option= 'com_joomsport';
		$this->sid	= $mainframe->getUserStateFromRequest( $option.'.sid', 'sid', 0, 'int' );
	}
//($row->id?$row->id:"0")
	function getData()
	{
		$row 	= new JTableMatch($this->db);
		$row->load($this->is_id);
		$this->_data = $row;
	
		$query = "SELECT m_name FROM #__bl_matchday  WHERE id = ".$row->m_id;
		$this->db->setQuery($query);
		$this->_lists['mday'] = $this->db->loadResult();
		
		$query = "SELECT m.*,t.t_name as home_team, t2.t_name as away_team FROM #__bl_match as m, #__bl_teams as t, #__bl_teams as t2  WHERE m.id = ".$row->id." AND t.id = m.team1_id AND t2.id = m.team2_id  ORDER BY m.id";
		$this->db->setQuery($query);
		$this->_match = $this->db->loadObjectList();
		
		$is_event = array();
		$query = "SELECT * FROM #__bl_events WHERE player_event = '1' ORDER BY e_name";
		$this->db->setQuery($query);
		$events = $this->db->loadObjectList();
		$is_event[] = JHTML::_('select.option',  0, JText::_('Select Event'), 'id', 'e_name' ); 
		$ev_pl = array_merge($is_event,$events);
		$this->_lists['events'] = JHTML::_('select.genericlist',   $ev_pl, 'event_id', 'class="inputbox" size="1"', 'id', 'e_name', 0);
		
		
		$is_event = array();
		$query = "SELECT * FROM #__bl_events WHERE player_event = '0' ORDER BY e_name";
		$this->db->setQuery($query);
		$events = $this->db->loadObjectList();
		$is_event[] = JHTML::_('select.option',  0, JText::_('Select Event'), 'id', 'e_name' ); 
		$ev_pl = array_merge($is_event,$events);
		$this->_lists['team_events'] = JHTML::_('select.genericlist',   $ev_pl, 'tevent_id', 'class="inputbox" size="1"', 'id', 'e_name', 0);
		$query = "SELECT t_name FROM #__bl_teams WHERE id= ".$row->team1_id;
		$this->db->setQuery($query);
		$team_1 = $this->db->loadResult();
		$query = "SELECT t_name FROM #__bl_teams WHERE id= ".$row->team2_id;
		$this->db->setQuery($query);
		$team_2 = $this->db->loadResult();
		
		$this->_lists['teams1'] = $team_1;
		$this->_lists['teams2'] = $team_2;
		
		$is_player = array();
		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players WHERE team_id = ".$row->team1_id." ORDER BY first_name,last_name";
		$this->db->setQuery($query) ;
		$players_1 = $this->db->loadObjectList();
        // player squad 1
        $query = "SELECT player_id FROM #__bl_squard WHERE match_id = '".$row->m_id."' AND team_id = '".$row->team1_id."'";
        $this->db->setQuery($query) ;
        $pl_1_sq = $this->db->loadColumn();
        $pl_in_sq1 = count($pl_1_sq)?implode(',',$pl_1_sq):('0');

        $query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players as pl WHERE pl.team_id = ".$row->team1_id." AND pl.id NOT IN(".$pl_in_sq1.") ORDER BY pl.first_name,pl.last_name";
        $this->db->setQuery($query) ;
        $players_1_sq = $this->db->loadObjectList();

        //	 player squad 2
        $query = "SELECT player_id FROM #__bl_squard WHERE match_id = '".$row->m_id."' AND team_id = '".$row->team2_id."'";
        $this->db->setQuery($query) ;
        $pl_2_sq = $this->db->loadColumn();
        $pl_in_sq2 = count($pl_2_sq)?implode(',',$pl_2_sq):('0');
        // print_r($pl_in_sq1);
        $query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players as pl WHERE pl.team_id = ".$row->team2_id." AND pl.id NOT IN(".$pl_in_sq2.") ORDER BY pl.first_name,pl.last_name";
        $this->db->setQuery($query) ;
        $players_2_sq = $this->db->loadObjectList();
        ////
        //end
		$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players WHERE team_id = ".$row->team2_id." ORDER BY first_name,last_name";
		$this->db->setQuery($query) ;
		$players_2 = $this->db->loadObjectList();

		$is_player[] = JHTML::_('select.option',  0, JText::_('Select Player'), 'id', 'p_name' ); 
		$is_player[] = JHTML::_('select.optgroup',  $team_1, 'id', 'p_name' ); 
		$is_player2[] = JHTML::_('select.optgroup',  $team_2, 'id', 'p_name' ); 
		$jqre = '<select name="playerz_id" id="playerz_id" class="inputbox" size="1">';
		$jqre .= '<option value="">'.JText::_('BLFA_SELPLAYER').'</option>';
		$jqre .= '<optgroup label="'.$team_1.'">';
		for($g=0;$g<count($players_1);$g++){
			$jqre .= '<option value="'.$players_1[$g]->id.'">'.$players_1[$g]->p_name.'</option>';
		}
		$jqre .= '</optgroup>';
		$jqre .= '<optgroup label="'.$team_2.'">';
		for($g=0;$g<count($players_2);$g++){
			$jqre .= '<option value="'.$players_2[$g]->id.'">'.$players_2[$g]->p_name.'</option>';
		}
		$jqre .= '</optgroup>';
		$jqre .= '</select>';
		
		$this->_lists['players'] = $jqre;//JHTML::_('select.genericlist',   $ev_pl, 'playerz_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	
	$is_player_sq[] = JHTML::_('select.option',  0, JText::_('BLBE_SELPLAYER'), 'id', 'p_name' ); 
	$ev_pl = array_merge($is_player_sq,$players_1_sq);
	$this->_lists['players_team1'] = JHTML::_('select.genericlist',   $ev_pl, 'playersq1_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	$this->_lists['players_team1_res'] = JHTML::_('select.genericlist',   $ev_pl, 'playersq1_id_res', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	$ev_pl = array_merge($is_player_sq,$players_2_sq);
	$this->_lists['players_team2'] = JHTML::_('select.genericlist',   $ev_pl, 'playersq2_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	$this->_lists['players_team2_res'] = JHTML::_('select.genericlist',   $ev_pl, 'playersq2_id_res', 'class="inputbox" size="1"', 'id', 'p_name', 0);

	
	$query = "SELECT id,CONCAT(first_name,' ',last_name) as p_name FROM #__bl_players WHERE team_id = ".$this->tid." ORDER BY first_name,last_name";
	$this->db->setQuery($query) ;
	$players_rat = $this->db->loadObjectList();
	$is_playerq[] = JHTML::_('select.option',  0, JText::_('Select Player'), 'id', 'p_name' ); 
	$ev_pl = array_merge($is_playerq,$players_rat);
	$this->_lists['players_rating'] = JHTML::_('select.genericlist',   $ev_pl, 'plrating', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	
	$is_team2[] = JHTML::_('select.option',  0, JText::_('Select Team'), 'id', 'p_name' ); 
	$is_team2[] = JHTML::_('select.option', $row->team1_id, $team_1, 'id', 'p_name' ); 
	$is_team2[] = JHTML::_('select.option', $row->team2_id, $team_2, 'id', 'p_name' ); 
	$this->_lists['sel_team'] = JHTML::_('select.genericlist',   $is_team2, 'teamz_id', 'class="inputbox" size="1"', 'id', 'p_name', 0);
	
	$this->_lists['extra'] 		= JHTML::_('select.booleanlist',  'is_extra', 'class="inputbox"', $row->is_extra );
	$this->_lists['m_played'] 		= JHTML::_('select.booleanlist',  'm_played', 'class="inputbox"', $row->m_played );
	
	$query = "SELECT me.*,ev.e_name,CONCAT(p.first_name,' ',p.last_name) as p_name FROM  #__bl_events as ev , #__bl_players as p, #__bl_match_events as me WHERE me.player_id = p.id AND ev.player_event = '1' AND  me.e_id = ev.id AND me.match_id = ".$row->id." ORDER BY CAST(me.minutes AS UNSIGNED),p.first_name,p.last_name";
	$this->db->setQuery($query);
	//echo mysql_error();die();
	$this->_lists['m_events'] = $this->db->loadObjectList();
	
	$query = "SELECT me.*,ev.e_name,p.t_name as p_name,p.id as pid FROM  #__bl_events as ev, #__bl_teams as p , #__bl_match_events as me WHERE me.t_id = p.id AND ev.player_event = '0' AND  me.e_id = ev.id AND me.match_id = ".$row->id." ORDER BY p.t_name";
	$this->db->setQuery($query);
	//echo mysql_error();die();
	$this->_lists['t_events'] = $this->db->loadObjectList();
	
	$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 3 AND cat_id = ".$row->id."";
	$this->db->setQuery($query);
	$this->_lists['photos'] = $this->db->loadObjectList();
	///aditional fields
	$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($row->id?$row->id:"-1")." WHERE ef.published=1 AND ef.type='2' ORDER BY ef.ordering";
	$this->db->setQuery($query);
	$this->_lists['ext_fields'] = $this->db->loadObjectList();
	//----squard----//
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team1_id} AND s.mainsquard = '1'";
	$this->db->setQuery($query);
	$this->_lists['squard1'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team2_id} AND s.mainsquard = '1'";
	$this->db->setQuery($query);
	$this->_lists['squard2'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team1_id} AND s.mainsquard = '0'";
	$this->db->setQuery($query);
	$this->_lists['squard1_res'] = $this->db->loadObjectList();
	$query = "SELECT p.id,CONCAT(p.first_name,' ',p.last_name) as name FROM #__bl_players as p, #__bl_squard as s WHERE p.id=s.player_id AND s.match_id=".$row->id." AND s.team_id={$row->team2_id} AND s.mainsquard = '0'";
	$this->db->setQuery($query);
	$this->_lists['squard2_res'] = $this->db->loadObjectList();
		
		$this->_lists["post_max_size"] = $this->getValSettingsServ("post_max_size");
	}
}