<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class moderedit_matchdayJSModel extends JSPRO_Models
{
	var $_data = null;
	var $_lists = null;
	var $mid = null;
	var $mainframe = null;
	var $is_id = null;
	var $tid = null;
	var $cid = null;
	var $sid = null;
	var $msg = null;
	var $_match = null;
	var $teamis = null;
	var $season_id = null;
	var $extra_opt = null;
	
	function __construct()
	{
		parent::__construct();
		
		$this->is_id = 0;
		$this->mainframe = JFactory::getApplication();
		$this->cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		$this->tid 		= JRequest::getVar( 'tid', 0, '', 'int' );	
		$this->sid = JRequest::getVar( 'sid', 0, '', 'int' );	
		$this->mid = JRequest::getVar( 'mid', 0, '', 'int' );
	
	}

	function getData()
	{
		$user	= JFactory::getUser(); 
		$query = "SELECT s.*,CONCAT(tr.name,' ',s.s_name) as t_name FROM #__bl_season_teams as t,#__bl_seasons as s,#__bl_tournament as tr WHERE s.published=1 AND tr.id=s.t_id AND s.s_id=t.season_id AND t.team_id=".$this->tid." ORDER BY s.s_id desc";
		$this->db->setQuery($query);
		
		$seasons = $this->db->loadObjectList();
		
		$javascript = "onchange='document.filtrForm.submit();'";
		
		$this->_lists['seas_filtr'] = JHTML::_('select.genericlist',   $seasons, 'sid', 'class="inputbox" size="1"'.$javascript, 's_id', 't_name', $this->sid );
		
		if(!$this->sid){
			$this->sid = $seasons[0]->s_id;
		}
		
		$query = "SELECT m.* FROM #__bl_season_teams as t,#__bl_seasons as s,#__bl_matchday as m WHERE s.published=1 AND m.s_id=s.s_id AND s.s_id=t.season_id AND t.team_id=".$this->tid." AND s.s_id=".$this->sid." ORDER BY m.id desc";
		$this->db->setQuery($query);
		$mdays = $this->db->loadObjectList();	
		
		$query = "SELECT COUNT(*) FROM #__bl_season_teams as t,#__bl_seasons as s,#__bl_matchday as m WHERE s.published=1 AND m.s_id=s.s_id AND s.s_id=t.season_id AND t.team_id=".$this->tid." AND s.s_id=".$this->sid." AND m.id=".$this->mid." ORDER BY m.id desc";
		$this->db->setQuery($query);
		if(!$this->db->loadResult()){
			$this->mid = $mdays[0]->id;
		}
		
		if(!$this->mid && count($mdays)){
			$this->mid = $mdays[0]->id;
		}
		
		$this->_lists['md_filtr'] = JHTML::_('select.genericlist',   $mdays, 'mid', 'class="inputbox" size="1"'.$javascript, 'id', 'm_name', $this->mid );
		
		
		$query = "SELECT s.s_id as id, CONCAT(t.name,' ',s.s_name) as name FROM #__bl_tournament as t, #__bl_seasons as s WHERE s.t_id = t.id   ORDER BY t.name, s.s_name";
		$this->db->setQuery($query);

		$tourns = $this->db->loadObjectList(); 

			JArrayHelper::toInteger($this->cid, array(0));
			if($this->cid[0])
			{
				$this->is_id = $this->cid[0];
			}
			$option = 'com_joomsport';
			$this->season_id	= $this->mainframe->getUserStateFromRequest( $option.'.sid', 'sid', $tourns[0]->id, 'int' );


		$this->msg = JRequest::getVar( 'msg', '', 'get', 'string', JREQUEST_ALLOWRAW );


		

		$row 	= new JTableMday($this->db);

		$row->load($this->is_id?$this->is_id:$this->mid);
		
		$this->_data = $row;
		
		if($this->is_id){
			
			$query = "SELECT COUNT(*) FROM #__bl_seasons as s LEFT JOIN #__bl_tournament as t ON t.id = s.t_id WHERE  s.s_id = ".($row->s_id?$row->s_id:$season_id);

			$this->db->setQuery($query);
			
			if(!$this->db->loadResult()){
				
				JError::raiseError( 403, JText::_('Access Forbidden') );

				return; 
			}
			//$tpl="edit";
		}
		
		//---------------------------//
	
		$query = "SELECT t.id FROM #__bl_teams as t, #__bl_moders as m WHERE m.tid=t.id AND m.uid=".$user->id." ORDER BY t.t_name";

		$this->db->setQuery($query);
	
		$teams_moder = $this->db->loadColumn();

	
	
		$this->_lists['is_playoff'] 		= JHTML::_('select.booleanlist',  'is_playoff', 'class="inputbox"', $row->is_playoff );


		$query = "SELECT m.*,t.t_name as home_team, t2.t_name as away_team, t.id as t1id, t2.id as t2id FROM #__bl_match as m, #__bl_teams as t, #__bl_teams as t2  WHERE m.m_id = ".($row->id?$row->id:'0')." AND t.id = m.team1_id AND t2.id = m.team2_id AND (t.id = ".$this->tid." OR t2.id = ".$this->tid.")  ORDER BY m.id";

		$this->db->setQuery($query);

		$this->_match = $this->db->loadObjectList();

		

		$is_team = array();

		$query = "SELECT * FROM #__bl_teams as t , #__bl_season_teams as st WHERE st.team_id = t.id AND st.season_id = ".($this->sid?$this->sid:$this->season_id)." ORDER BY t.t_name";

		$this->db->setQuery($query);

		$team = $this->db->loadObjectList();

		$is_team[] = JHTML::_('select.option',  0, JText::_('Select Team'), 'id', 't_name' ); 

		$this->teamis = array_merge($is_team,$team);

		$this->_lists['teams1'] = JHTML::_('select.genericlist',   $this->teamis, 'teams1', 'class="inputbox" size="1" id="teams1"', 'id', 't_name', 0 );

		$this->_lists['teams2'] = JHTML::_('select.genericlist',   $this->teamis, 'teams2', 'class="inputbox" size="1" id="teams2"', 'id', 't_name', 0 );
		
		$query = "SELECT s_enbl_extra FROM #__bl_seasons WHERE s_id = ".($row->s_id?$row->s_id:$this->season_id)."";
        $this->db->setQuery($query);
        $this->extra_opt = $this->db->loadResult();
	}
	
	
}