<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class moderedit_playerJSModel extends JSPRO_Models
{
	var $_data = null;
	var $_lists = null;
	var $is_id = null;
	var $tid = null;
	var $sid = null;
	var $msg = null;
	function __construct()
	{
		parent::__construct();
		
		
		$this->is_id = 0;
		
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		
		$this->msg = JRequest::getVar( 'msg', '', 'get', 'string', JREQUEST_ALLOWRAW );

		JArrayHelper::toInteger($cid, array(0));
		if($cid[0])
		{
			$this->is_id = $cid[0];
		}
		$this->tid = JRequest::getVar( 'tid', 0, '', 'int' );	
		$this->sid = JRequest::getVar( 'sid', 0, '', 'int' );	
	
	}

	function getData()
	{
		$row 	= new JTablePlayer($this->db);
		$row->load($this->is_id);
		$this->_data = $row;
	// print_r($row);die;	
		$pos = array();
	
		$query = "SELECT * FROM #__bl_positions ORDER BY p_name";
	
		$this->db->setQuery($query);
	
		$tourn = $this->db->loadObjectList();
	
		$pos[] = JHTML::_('select.option',  0, JText::_('Select Position'), 'p_id', 'p_name' ); 
	
		$positions = array_merge($pos,$tourn);
	
		$this->_lists['pos'] = JHTML::_('select.genericlist',   $positions, 'position_id', 'class="inputbox" size="1"', 'p_id', 'p_name', $row->position_id );
	
	
		$query = "SELECT * FROM #__bl_teams ORDER BY t_name";
	
		$this->db->setQuery($query);
	
		$teams = $this->db->loadObjectList();
		
	
		$this->_lists['teams'] = JHTML::_('select.genericlist',   $teams, 'team_id', 'class="inputbox" size="1" disabled', 'id', 't_name', $this->tid );
	
		
	
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 1 AND cat_id = ".($row->id?$row->id:"0")."";
	
		$this->db->setQuery($query);
	
		$this->_lists['photos'] = $this->db->loadObjectList();
	
		
		// $query = "SELECT t.sport_id FROM #__bl_tournament as t,#__bl_seasons as s, #__bl_season_teams as st WHERE s.t_id=t.id AND st.season_id = s.s_id AND st.team_id = ".$row->team_id." ORDER BY s.s_id LIMIT 1";
	
		// $this->db->setQuery($query);

		// $sport_id = $this->db->loadResult();
	

		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".($row->id?$row->id:"-1")." WHERE  ef.published=1 AND ef.type='0' ORDER BY ef.ordering";
		$this->db->setQuery($query);

	
		$this->_lists['ext_fields'] = $this->db->loadObjectList();
		
		$this->_lists["post_max_size"] = $this->getValSettingsServ("post_max_size");
	}
}