<?php
/*---------------------------------------------------------------
# Package - Joomla Template based on Helix Framework   
# ---------------------------------------------------------------
# Template Name - Shaper Sportive
# Template Version 1.5.1
# ---------------------------------------------------------------
# Author - JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2
# license - CSS  - JS - IMAGE files  are Copyrighted material 
# Websites: http://www.joomshaper.com
-----------------------------------------------------------------*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');
require_once(dirname(__FILE__).'/'.'lib'.'/'.'helix.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language;?>" >
<head>
	<?php
		$helix->loadHead();
		$helix->addCSS('template.css,joomla.css,custom.css,modules.css,typography.css,css3.css');
		if ($helix->getDirection() == 'rtl') $helix->addCSS('template_rtl.css');
		$helix->getStyle();
		$helix->favicon('favicon.ico');
	?>
</head>
<?php $helix->addFeature('ie6warn');/*IE6 Warn*/ ?>
<body class="bg clearfix">
	<div id="top-bar" class="clearfix">
		<div class="sp-wrap clearfix">
			<?php if ($this->countModules('top-menu')) {/*top-menu*/ ?>	
				<div id="top-menu">
					<jdoc:include type="modules" name="top-menu" />			
				</div>	
			<?php } ?>	
			<?php $helix->addFeature('fontsizer') /*--- Font resizer ---*/?>			
			<?php if ($this->countModules('search')) {/*search*/ ?>	
				<div id="search">
					<jdoc:include type="modules" name="search" />			
				</div>	
			<?php } ?>	
		</div>
	</div>
	
	<?php $helix->addFeature('toppanel');/*Top Panel*/ ?>
	
	<div class="sp-wrap clearfix">
		<div id="header" class="clearfix">
			<?php $helix->addFeature('logo') /*--- logo ---*/?>	
			<?php if ($this->countModules('banner')) {/*position 'banner'*/ ?>	
				<div id="banner">
					<jdoc:include type="modules" name="banner" />
				</div>	
			<?php } ?>
		</div>		
	
		<?php $helix->addFeature('hornav') /*--Main navigation--*/?>	
		
		<div class="main-bg clearfix">
			<?php if($this->countModules('highlighter')) { ?>
				<div class="clr"></div>
				<div id="addons" class="sp-inner clearfix">
				<?php if ($this->countModules('highlighter')) { /*--- highlighter ---*/ ?>	
					<div id="highlighter">
						<jdoc:include type="modules" name="highlighter" />	
					</div>	
				<?php } ?>	
				<?php $helix->addFeature('logreg') /*--- loagin and register ---*/?>	
				</div>
				<div class="clr"></div>			
			<?php } ?>		
		
			<?php if($helix->countModules('slides')) { /*--- position 'slides' ---*/?>	
				<div id="slides" class="clearfix">
					<jdoc:include type="modules" name="slides" />			
				</div>				
			<?php } ?>	
	
			<?php if($mods= $helix->getModules('user1,user2,user3,user4,user5,user6')) {/*Module Position user1 to user6*/ ?>
				<div id="sp-userpos" class="sp-inner clearfix">
					<?php $helix->renderModules($mods,'sp_xhtml');?>
				</div>
			<?php } ?>
		
			<div class="clearfix">	
				<?php $helix->loadLayout(); /*--Load mainbody layout--*/?>
			</div>
		
			<?php if($this->countModules('partners')) {/*Module Position 'partners'*/ ?>
				<div id="partners" class="sp-inner clearfix">
					<jdoc:include type="modules" name="partners" style="sp_xhtml" />								
				</div>
			<?php } ?>			
		
			<?php if($helix->countModules('breadcrumbs')) {/*Module Position breadcrumbs*/ ?>
				<div class="clr"></div>
				<div id="breadcrumbs" class="sp-inner clearfix">
					<jdoc:include type="modules" name="breadcrumbs" />
					<?php $helix->addFeature('totop') /*Goto top*/?>
				</div>	
				<div class="clr"></div>
			<?php } ?>
		</div>
		
		<?php if($mods= $helix->getModules('bottom1,bottom2,bottom3,bottom4,bottom5,bottom6')) {/*Module Position bottom1 to bottom6*/ ?>
			<div id="sp-bottom" class="sp-inner clearfix">
				<?php $helix->renderModules($mods,'sp_flat');?>
			</div>
		<?php } ?>
		
		<!--Footer-->
		<div id="sp-footer" class="clearfix">
			<?php $helix->addFeature('helixlogo'); /*--- Helix logo ---*/?>	
			<div class="cp">
				<?php $helix->addFeature('copyright') /*--- Show copyright ---*/?>
				<?php $helix->addFeature('brand') /*--You are not allowed to remove or modify brand link. You need to purchase copyright removal license from http://www.joomshaper.com/copyright-removal-license in order to remove this link.--*/ ?>
				<?php $helix->addFeature('jcredit') /*--- Joomla credit link ---*/?>
				<?php $helix->addFeature('validator') /*--- CSS and XHTML validator ---*/?>
			</div>
			<?php if ($helix->countModules('footer-nav')) /*--- Module position footer-nav ---*/{ ?>
				<div id="footer-nav">
					<jdoc:include type="modules" name="footer-nav" />
				</div>
			<?php } ?>				
		</div>
	</div>
	
	<?php $helix->addFeature('analytics'); /*--- Google analytics tracking code ---*/?>
	<?php $helix->addFeature('jquery'); /*--- Load jQuery library ---*/?>
	<?php $helix->addFeature('ieonly'); /*--- IE only Feature ---*/?>
	<?php $helix->compress(); /* --- Compress CSS and JS files --- */ ?>	
	<?php $helix->getFonts() /*--- Standard and Google Fonts ---*/?>	
	
	<jdoc:include type="modules" name="debug" />
	
</body>
</html>
