<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require_once(JPATH_ROOT.'/components/com_joomsport/includes/utils.php');

class configJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	var $_id = null;
	
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}
	
	
	function getData()
	{
		
		$query = "SELECT cfg_value FROM #__bl_config WHERE cfg_name='date_format'";
		$this->db->setQuery($query);
		$this->_lists['date_format'] = $this->db->loadResult();
		
		$is_data = array();
		
		$is_data[] = JHtml::_('select.option',  "d-m-Y H:i", "d-m-Y H:i", 'id', 'name' ); 
		$is_data[] = JHtml::_('select.option',  "m-d-Y g:i A", "m-d-Y g:i A", 'id', 'name' );
		$is_data[] = JHtml::_('select.option',  "j F, Y H:i", "j F, Y H:i", 'id', 'name' );
		$is_data[] = JHtml::_('select.option',  "j F, Y g:i A", "j F, Y g:i A", 'id', 'name' );
		$is_data[] = JHtml::_('select.option',  "d-m-Y", "d-m-Y", 'id', 'name' ); 
		$is_data[] = JHtml::_('select.option',  "l d F, Y H:i", "l d F, Y H:i", 'id', 'name' ); 
		$this->_lists['data_sel'] = @JHtml::_('select.genericlist',   $is_data, 'date_format', 'class="inputbox" size="1"', 'id', 'name', $this->_lists['date_format'] );
		
		$query = "SELECT cfg_value FROM #__bl_config WHERE cfg_name='yteam_color'";
		$this->db->setQuery($query);
		$this->_lists['yteam_color'] = $this->db->loadResult();
		
		//social buttons
			$this->_lists['jsb_twitter'] = $this->getJS_Config('jsb_twitter');
			$this->_lists['jsb_gplus'] = $this->getJS_Config('jsb_gplus');
			$this->_lists['jsb_fbshare'] = $this->getJS_Config('jsb_fbshare');
			$this->_lists['jsb_fblike'] = $this->getJS_Config('jsb_fblike');
			$this->_lists['jsbp_season'] = $this->getJS_Config('jsbp_season');
			$this->_lists['jsbp_team'] = $this->getJS_Config('jsbp_team');
			$this->_lists['jsbp_player'] = $this->getJS_Config('jsbp_player');
			$this->_lists['jsbp_match'] = $this->getJS_Config('jsbp_match');
			$this->_lists['jsbp_venue'] = $this->getJS_Config('jsbp_venue');

            $this->_lists['pos_order'] = $this->getJS_Config('pos_order');
	}
	function getJS_Config($val){
		// $db			= JFactory::getDBO();
		$query = "SELECT cfg_value FROM #__bl_config WHERE cfg_name='".$val."'";
		$this->db->setQuery($query);
		return $this->db->loadResult();
	}
	public function saveConfig(){
		$jsb_twitter = JRequest::getVar( 'jsb_twitter', 0, 'post', 'int' );
		$jsb_gplus = JRequest::getVar( 'jsb_gplus', 0, 'post', 'int' );
		$jsb_fbshare = JRequest::getVar( 'jsb_fbshare', 0, 'post', 'int' );
		$jsb_fblike = JRequest::getVar( 'jsb_fblike', 0, 'post', 'int' );
		$jsbp_season = JRequest::getVar( 'jsbp_season', 0, 'post', 'int' );
		$jsbp_team = JRequest::getVar( 'jsbp_team', 0, 'post', 'int' );
		$jsbp_player = JRequest::getVar( 'jsbp_player', 0, 'post', 'int' );
		$jsbp_match = JRequest::getVar( 'jsbp_match', 0, 'post', 'int' );
		$jsbp_venue = JRequest::getVar( 'jsbp_venue', 0, 'post', 'int' );
        ///order pos
        $pos_order = JRequest::getVar( 'pos_order', 0, 'post', 'int' );
        $query = "UPDATE #__bl_config SET cfg_value='".$pos_order."' WHERE cfg_name='pos_order'";
        $this->db->setquery($query);
        $this->db->query();
		
		$date_format = JRequest::getVar( 'date_format', '', 'post', 'string' );
		$yteam_color = JRequest::getVar( 'yteam_color', '', 'post', 'string' );
		
		$query = "UPDATE #__bl_config SET cfg_value='".$date_format."' WHERE cfg_name='date_format'";
		$this->db->setquery($query);
		$this->db->query();
		
		$query = "UPDATE #__bl_config SET cfg_value='".$yteam_color."' WHERE cfg_name='yteam_color'";
		$this->db->setquery($query);
		$this->db->query();
		
		//social buttons
			$query = "UPDATE #__bl_config SET cfg_value='".$jsb_twitter."' WHERE cfg_name='jsb_twitter'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsb_gplus."' WHERE cfg_name='jsb_gplus'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsb_fbshare."' WHERE cfg_name='jsb_fbshare'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsb_fblike."' WHERE cfg_name='jsb_fblike'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsbp_season."' WHERE cfg_name='jsbp_season'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsbp_team."' WHERE cfg_name='jsbp_team'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsbp_player."' WHERE cfg_name='jsbp_player'";
			$this->db->setquery($query);
			$this->db->query();
			$query = "UPDATE #__bl_config SET cfg_value='".$jsbp_match."' WHERE cfg_name='jsbp_match'";
			$this->db->setquery($query);
			$this->db->query();
		
	}
}