<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class edit_langJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $bl_lang = null;
	var $_mode = 1;
	var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}

	function getData()
	{
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		$id = ($cid[0])?($cid[0]):(0);
		$GLOBALS['j_toolbar_id'] = $id;
		$row = new JTableLang( $this->db );
		$row->load( $id );
		require_once ( JPATH_ROOT.'/media/bearleague/languages/default.php' );
		if ($row->id) {
			if ($row->lang_file) {
				if (preg_match("/[0-9a-z]/", $row->lang_file)) {
					require_once ( JPATH_ROOT.'/media/bearleague/languages/'.$row->lang_file.'.php' );
				
				}
			}
		}
		$this->bl_lang = $bl_lang;
		$this->_data = $row;
		
	}

	public function saveLang(){
		
		$row = new JTableLang( $this->db );
	
		if (!$row->bind( $_POST )) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}
		if (!$row->check()) {
			echo "<script> alert('".$row->getError()."'); window.location='index.php?option=".$option."&task=languages'; </script>\n";
			exit();
		}
		if (!$row->store()) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			exit();
		}
		$lang_filename = $row->lang_file;
		require_once ( JPATH_COMPONENT.DIRECTORY_SEPARATOR.'language.joomsport.php' );
		$row_language = new mos_BL_laguange_class();
		$row_language->BL_TBL_RANK = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_RANK'])?($_POST['BL_TBL_RANK']):''):(isset($_POST['BL_TBL_RANK'])?($_POST['BL_TBL_RANK']):'');
		$row_language->BL_TBL_TEAMS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_TEAMS'])?($_POST['BL_TBL_TEAMS']):''):(isset($_POST['BL_TBL_TEAMS'])?($_POST['BL_TBL_TEAMS']):'');
		$row_language->BL_TBL_PLAYED = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_PLAYED'])?($_POST['BL_TBL_PLAYED']):''):(isset($_POST['BL_TBL_PLAYED'])?($_POST['BL_TBL_PLAYED']):'');
		$row_language->BL_TBL_WINS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_WINS'])?($_POST['BL_TBL_WINS']):''):(isset($_POST['BL_TBL_WINS'])?($_POST['BL_TBL_WINS']):'');
		$row_language->BL_TBL_DRAW = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_DRAW'])?($_POST['BL_TBL_DRAW']):''):(isset($_POST['BL_TBL_DRAW'])?($_POST['BL_TBL_DRAW']):'');
		$row_language->BL_TBL_LOST = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_LOST'])?($_POST['BL_TBL_LOST']):''):(isset($_POST['BL_TBL_LOST'])?($_POST['BL_TBL_LOST']):'');
		$row_language->BL_TBL_EXTRAWIN = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_EXTRAWIN'])?($_POST['BL_TBL_EXTRAWIN']):''):(isset($_POST['BL_TBL_EXTRAWIN'])?($_POST['BL_TBL_EXTRAWIN']):'');
		$row_language->BL_TBL_EXTRALOST = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_EXTRALOST'])?($_POST['BL_TBL_EXTRALOST']):''):(isset($_POST['BL_TBL_EXTRALOST'])?($_POST['BL_TBL_EXTRALOST']):'');
		$row_language->BL_TBL_DIFF = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_DIFF'])?($_POST['BL_TBL_DIFF']):''):(isset($_POST['BL_TBL_DIFF'])?($_POST['BL_TBL_DIFF']):'');
		$row_language->BL_TBL_GD = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_GD'])?($_POST['BL_TBL_GD']):''):(isset($_POST['BL_TBL_GD'])?($_POST['BL_TBL_GD']):'');
		$row_language->BL_TBL_POINTS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_POINTS'])?($_POST['BL_TBL_POINTS']):''):(isset($_POST['BL_TBL_POINTS'])?($_POST['BL_TBL_POINTS']):'');
		$row_language->BL_TAB_TEAM = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_TEAM'])?($_POST['BL_TAB_TEAM']):''):(isset($_POST['BL_TAB_TEAM'])?($_POST['BL_TAB_TEAM']):'');
		$row_language->BL_TAB_MATCHES = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_MATCHES'])?($_POST['BL_TAB_MATCHES']):''):(isset($_POST['BL_TAB_MATCHES'])?($_POST['BL_TAB_MATCHES']):'');
		$row_language->BL_TAB_PLAYERS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_PLAYERS'])?($_POST['BL_TAB_PLAYERS']):''):(isset($_POST['BL_TAB_PLAYERS'])?($_POST['BL_TAB_PLAYERS']):'');
		$row_language->BL_TAB_PHOTOS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_PHOTOS'])?($_POST['BL_TAB_PHOTOS']):''):(isset($_POST['BL_TAB_PHOTOS'])?($_POST['BL_TAB_PHOTOS']):'');
		$row_language->BL_TAB_PLAYER = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_PLAYER'])?($_POST['BL_TAB_PLAYER']):''):(isset($_POST['BL_TAB_PLAYER'])?($_POST['BL_TAB_PLAYER']):'');
		$row_language->BL_TAB_MATCH = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_MATCH'])?($_POST['BL_TAB_MATCH']):''):(isset($_POST['BL_TAB_MATCH'])?($_POST['BL_TAB_MATCH']):'');
		$row_language->BL_TAB_ABOUT = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_ABOUT'])?($_POST['BL_TAB_ABOUT']):''):(isset($_POST['BL_TAB_ABOUT'])?($_POST['BL_TAB_ABOUT']):'');
		$row_language->BL_LINK_DETAILMATCH = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_LINK_DETAILMATCH'])?($_POST['BL_LINK_DETAILMATCH']):''):(isset($_POST['BL_LINK_DETAILMATCH'])?($_POST['BL_LINK_DETAILMATCH']):'');
		$row_language->BL_TBL_PLAYER = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_PLAYER'])?($_POST['BL_TBL_PLAYER']):''):(isset($_POST['BL_TBL_PLAYER'])?($_POST['BL_TBL_PLAYER']):'');
		$row_language->BL_TBL_POSITION = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_POSITION'])?($_POST['BL_TBL_POSITION']):''):(isset($_POST['BL_TBL_POSITION'])?($_POST['BL_TBL_POSITION']):'');
		$row_language->BL_RES_EXTRA = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_RES_EXTRA'])?($_POST['BL_RES_EXTRA']):''):(isset($_POST['BL_RES_EXTRA'])?($_POST['BL_RES_EXTRA']):'');
		$row_language->BL_CITY = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_CITY'])?($_POST['BL_CITY']):''):(isset($_POST['BL_CITY'])?($_POST['BL_CITY']):'');
		$row_language->BL_NAME = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_NAME'])?($_POST['BL_NAME']):''):(isset($_POST['BL_NAME'])?($_POST['BL_NAME']):'');
		$row_language->BL_POSITION = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_POSITION'])?($_POST['BL_POSITION']):''):(isset($_POST['BL_POSITION'])?($_POST['BL_POSITION']):'');
		$row_language->BL_NICK = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_NICK'])?($_POST['BL_NICK']):''):(isset($_POST['BL_NICK'])?($_POST['BL_NICK']):'');
		$row_language->BL_TBL_STAT = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_STAT'])?($_POST['BL_TBL_STAT']):''):(isset($_POST['BL_TBL_STAT'])?($_POST['BL_TBL_STAT']):'');
		$row_language->BL_BACK = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_BACK'])?($_POST['BL_BACK']):''):(isset($_POST['BL_BACK'])?($_POST['BL_BACK']):'');
		$row_language->BL_CALENDAR = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_CALENDAR'])?($_POST['BL_CALENDAR']):''):(isset($_POST['BL_CALENDAR'])?($_POST['BL_CALENDAR']):'');
		$row_language->BL_TAB_STAT = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_STAT'])?($_POST['BL_TAB_STAT']):''):(isset($_POST['BL_TAB_STAT'])?($_POST['BL_TAB_STAT']):'');
		$row_language->BL_TBL_WINPERCENT = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_WINPERCENT'])?($_POST['BL_TBL_WINPERCENT']):''):(isset($_POST['BL_TBL_WINPERCENT'])?($_POST['BL_TBL_WINPERCENT']):'');
		$row_language->BL_LINEUP = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_LINEUP'])?($_POST['BL_LINEUP']):''):(isset($_POST['BL_LINEUP'])?($_POST['BL_LINEUP']):'');
		$row_language->BL_SUBTITUTES = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_SUBTITUTES'])?($_POST['BL_SUBTITUTES']):''):(isset($_POST['BL_SUBTITUTES'])?($_POST['BL_SUBTITUTES']):'');
		$row_language->BL_TAB_SQUAD = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_SQUAD'])?($_POST['BL_TAB_SQUAD']):''):(isset($_POST['BL_TAB_SQUAD'])?($_POST['BL_TAB_SQUAD']):'');	
		$row_language->BL_TAB_TBL = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_TBL'])?($_POST['BL_TAB_TBL']):''):(isset($_POST['BL_TAB_TBL'])?($_POST['BL_TAB_TBL']):'');
		$row_language->BL_TAB_ABOUTSEAS = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TAB_ABOUTSEAS'])?($_POST['BL_TAB_ABOUTSEAS']):''):(isset($_POST['BL_TAB_ABOUTSEAS'])?($_POST['BL_TAB_ABOUTSEAS']):'');	
		//new
		$row_language->BL_TBL_GOALSC = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_GOALSC'])?($_POST['BL_TBL_GOALSC']):''):(isset($_POST['BL_TBL_GOALSC'])?($_POST['BL_TBL_GOALSC']):'');	
		
		$row_language->BL_TBL_GOALCON = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_GOALCON'])?($_POST['BL_TBL_GOALCON']):''):(isset($_POST['BL_TBL_GOALCON'])?($_POST['BL_TBL_GOALCON']):'');	
		$row_language->BL_TBL_WINHOME = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_WINHOME'])?($_POST['BL_TBL_WINHOME']):''):(isset($_POST['BL_TBL_WINHOME'])?($_POST['BL_TBL_WINHOME']):'');	
		$row_language->BL_TBL_WINAWAY = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_WINAWAY'])?($_POST['BL_TBL_WINAWAY']):''):(isset($_POST['BL_TBL_WINAWAY'])?($_POST['BL_TBL_WINAWAY']):'');	
		$row_language->BL_TBL_DRAWHOME = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_DRAWHOME'])?($_POST['BL_TBL_DRAWHOME']):''):(isset($_POST['BL_TBL_DRAWHOME'])?($_POST['BL_TBL_DRAWHOME']):'');	
		$row_language->BL_TBL_DRAWAWAY = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_DRAWAWAY'])?($_POST['BL_TBL_DRAWAWAY']):''):(isset($_POST['BL_TBL_DRAWAWAY'])?($_POST['BL_TBL_DRAWAWAY']):'');	
		$row_language->BL_TBL_LOSTHOME = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_LOSTHOME'])?($_POST['BL_TBL_LOSTHOME']):''):(isset($_POST['BL_TBL_LOSTHOME'])?($_POST['BL_TBL_LOSTHOME']):'');	
		$row_language->BL_TBL_LOSTAWAY = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_LOSTAWAY'])?($_POST['BL_TBL_LOSTAWAY']):''):(isset($_POST['BL_TBL_LOSTAWAY'])?($_POST['BL_TBL_LOSTAWAY']):'');	
		$row_language->BL_TBL_POINTSHOME = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_POINTSHOME'])?($_POST['BL_TBL_POINTSHOME']):''):(isset($_POST['BL_TBL_POINTSHOME'])?($_POST['BL_TBL_POINTSHOME']):'');	
		$row_language->BL_TBL_POINTSAWAY = get_magic_quotes_gpc() ? stripslashes(isset($_POST['BL_TBL_POINTSAWAY'])?($_POST['BL_TBL_POINTSAWAY']):''):(isset($_POST['BL_TBL_POINTSAWAY'])?($_POST['BL_TBL_POINTSAWAY']):'');	
		
		$config_lang = "<?php \n";
		$config_lang .= "/** \n";
		$config_lang .= " Beardev\n";
		$config_lang .= "**/\n";
		$config_lang .= "// no direct access\n";
		$config_lang .= "defined( '_JEXEC' ) or die( 'Restricted access' );\n";
		$config_lang .= "\n";
		$config_lang .= $row_language->getVarText();
		$config_lang .= '?>';
		$fname = JPATH_ROOT."/media/bearleague/languages/".$lang_filename.".php";
		if ( $fp = fopen($fname, 'w') ) {
			fputs($fp, $config_lang, strlen($config_lang));
			fclose($fp);
		}
		// print_r($row);die;
		$this->_id = $row->id;
	}
	
	
}