<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class event_editJSModel extends JSPRO_Models
{
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
	
		$this->getData();
	}

	function getData()
	{
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		
		$row 	= new JTableEvents($this->db);
		// $row->s_id = ($row->s_id)?($row->s_id):(0);
		$row->load($cid[0]);
		$error = $this->db->getErrorMsg();
		if ($error)
		{
			return JError::raiseError(500, $error);
		}
		$this->_data = $row;
		
		// $lists = array();	
	
	$javascript = 'onChange = "View_eventimg();"';
	
	$this->_lists['image'] = JHtml::_('list.images',  'e_img', $row->e_img,$javascript,'media/bearleague/events' );
	
	$this->_lists['player_event'] 		= JHtml::_('select.booleanlist',  'player_event', 'class="inputbox"', $row->player_event );
		
		$this->_lists["post_max_size"] = $this->getValSettingsServ("post_max_size");
	}
	
	
	
	
	public function saveEvent()
	{
		
		$mainframe = JFactory::getApplication();
		
		// $db			= JFactory::getDBO();
		
		$post		= JRequest::get( 'post' );
		$post['e_descr'] = JRequest::getVar( 'e_descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row 	= new JTableEvents($this->db);
		if(isset($_FILES['new_event_img']['name']) && $_FILES['new_event_img']['tmp_name'] != '' && isset($_FILES['new_event_img']['tmp_name'])){
			$ext = pathinfo($_FILES['new_event_img']['name']);
			$bl_filename = "bl".time().rand(0,3000).'.'.$ext['extension'];
			$bl_filename = str_replace(" ","",$bl_filename);
			//echo $bl_filename;
			$baseDir =  JPATH_ROOT . '/media/bearleague/events/' ;
			 if($this->uploadFile($_FILES['new_event_img']['tmp_name'], $bl_filename, $baseDir)){
			 
				$post['e_img'] = $bl_filename;
			 
			 }
				
		}
		
		
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		$this->_id = $row->id;
	}
	
	public function deleteEvent($cid){
		$mainframe = JFactory::getApplication();
		// $db			= JFactory::getDBO();
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_events WHERE id IN (".$cids.")");
			$this->db->query();
		}
	}
	
	
	
}