<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class fields_editJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	var $_id = null;
	var $filtradf = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		$this->filtradf = $mainframe->getUserStateFromRequest( $option.'.filtr_type', 'filtr_type', -1, 'int' );
		
		$this->getData();
	}

	function getData()
	{
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		$row 	= new JTableFields($this->db);
		$row->id = ($row->id)?($row->id):(0);
		$row->load($cid[0]);
		$error = $this->db->getErrorMsg();
		if ($error)
		{
			return JError::raiseError(500, $error);
		}
		// $this->filtradf = $mainframe->getUserStateFromRequest( $option.'.filtr_type', 'filtr_type', -1, 'int' );
	
		$is_field[] = JHtml::_('select.option',  0, JText::_('BLBE_PLAYER'), 'id', 't_name' ); 
		$is_field[] = JHtml::_('select.option',  1, JText::_('BLBE_TEAM'), 'id', 't_name' ); 
		$is_field[] = JHtml::_('select.option',  2, JText::_('BLBE_MATCH'), 'id', 't_name' ); 
		$this->_lists['is_type'] = JHtml::_('select.genericlist',   $is_field, 'type', 'class="inputbox" size="1"', 'id', 't_name', $row->type?$row->type:$this->filtradf );
		
		$published = ($row->id) ? $row->published : 1;
		$this->_lists['published'] 		= JHtml::_('select.booleanlist',  'published', 'class="inputbox"', $published, JText::_("JPUBLISHED"), JText::_("JUNPUBLISHED") );
		$this->_lists['t_view'] 		= JHtml::_('select.booleanlist',  'e_table_view', 'class="inputbox"', $row->e_table_view );
		
		$this->_data = $row;
		
	}
	public function orderFields(){
		$cid		= JRequest::getVar( 'cid', array(), 'post', 'array' );
		$order		= JRequest::getVar( 'order', array(), 'post', 'array' );
		$f_type		= JRequest::getVar( 'f_type', 0, 'post', 'int' );
		$row		= new JTableFields($this->db);;
		$total		= count( $cid );
		
		if (empty( $cid )) {
			return JError::raiseWarning( 500, JText::_( 'No items selected' ) );
		}
		// update ordering values
		for ($i = 0; $i < $total; $i++)
		{
			$row->load( (int) $cid[$i] );
			if ($row->ordering != $order[$i])
			{
				$row->ordering = $order[$i];
				if (!$row->store()) {
					return JError::raiseError( 500, $this->db->getErrorMsg() );
				}
				// remember to reorder this category
				
				
			}
		}
		switch ($f_type){
			case 1: $link = 'index.php?option='.$option.'&task=tfields_list';break;
			default: $link = 'index.php?option='.$option.'&task=fields_list';
		}
	}
	public function saveFields(){
		$post		= JRequest::get( 'post' );
		$post['descr'] = JRequest::getVar( 'descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row 	= new JTableFields($this->db);
		$row->type = 0;
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		
		$this->_id = $row->id;
	}
	
}