<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class moder_listJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $_total = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = "com_joomsport";
		// Get the pagination request variables
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		
		$this->getData();
	}

	function getData()
	{
		$query = "SELECT COUNT(DISTINCT(uid)) FROM #__bl_moders";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		
		$query = "SELECT u.*  FROM #__bl_moders as m,#__users as u WHERE u.id=m.uid GROUP BY m.uid";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$rows = $this->db->loadObjectList();
		
			for($z=0;$z<count($rows);$z++){
				$query = "SELECT t.t_name  FROM #__bl_moders as m,#__bl_teams as t WHERE t.id=m.tid AND m.uid=".$rows[$z]->id;
				$this->db->setQuery($query);
				$rows[$z]->teams = $this->db->loadColumn();
			}
		$this->_data = $rows;
		// return $this->_data;
	}

	
	
	
}