<?php
/*------------------------------------------------------------------------
# JoomSport Professional
# ------------------------------------------------------------------------
# BearDev development company
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class season_editJSModel extends JSPRO_Models
{

	var $_data = null;
	var $_lists = null;
	var $_mode = 1;
	var $_id = null;
	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();

		$this->getData();
	}

	function getData()
	{
		$mainframe = JFactory::getApplication();;
		$cid 		= JRequest::getVar( 'cid', array(0), '', 'array' );
		JArrayHelper::toInteger($cid, array(0));
		
		$row 	= new JTableSeason($this->db);
	// print_r($row);die;
		$row->s_id = ($row->s_id)?($row->s_id):(0);
	// print_r($row->s_id);die;
		$row->load($cid[0]);
		$this->_data = $row;
		
		$published = ($row->s_id) ? $row->published : 1;
		$this->_lists['published'] 		= JHtml::_('select.booleanlist',  'published', 'class="inputbox"', $published, JText::_("JPUBLISHED"), JText::_("JUNPUBLISHED"));
		$is_tourn = array();
		$query = "SELECT * FROM #__bl_tournament ORDER BY name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
		$is_tourn[] = JHtml::_('select.option',  0, JText::_('BLBE_SELTOURNAMENT'), 'id', 'name' ); 
		$tourn_is = array_merge($is_tourn,$tourn);
		$this->_lists['tourn'] = JHtml::_('select.genericlist',   $tourn_is, 't_id', 'class="inputbox" size="1"', 'id', 'name', $row->t_id );
		
		$query = "SELECT t.id as id FROM #__bl_season_teams as st, #__bl_teams as t WHERE st.season_id = ".$row->s_id." AND t.id = st.team_id ORDER BY t.t_name";
			
		$this->db->setQuery($query);

		$teams_season_ids = $this->db->loadColumn();
		
		$query = "SELECT * FROM #__bl_teams ".(count($teams_season_ids)?"WHERE id NOT IN (".implode(',',$teams_season_ids).")":"")." ORDER BY t_name";
		$this->db->setQuery($query);
		$teams = $this->db->loadObjectList();
		$this->_lists['teams'] = @JHtml::_('select.genericlist',   $teams, 'teams_id', 'class="inputbox" size="10" multiple', 'id', 't_name', 0 );
		
		$query = "SELECT t.id as id, t.t_name as t_name FROM #__bl_season_teams as st, #__bl_teams as t WHERE st.season_id = ".$row->s_id." AND t.id = st.team_id ORDER BY t.t_name";
		$this->db->setQuery($query);
		$teams_season = $this->db->loadObjectList();
		$this->_lists['teams2'] = @JHtml::_('select.genericlist',   $teams_season, 'teams_season[]', 'class="inputbox" size="10" multiple', 'id', 't_name', 0 );
		$this->_lists['s_groups'] 		= @JHtml::_('select.booleanlist',  's_groups', 'class="inputbox"', $row->s_groups );
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='win_chk'";
		$this->db->setQuery($query);
		$this->_lists['win_chk'] = $this->db->loadResult();
		
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='lost_chk'";
		$this->db->setQuery($query);
		$this->_lists['lost_chk'] = $this->db->loadResult();
		
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='draw_chk'";
		$this->db->setQuery($query);
		$this->_lists['draw_chk'] = $this->db->loadResult();
		
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='otwin_chk'";
		$this->db->setQuery($query);
		$this->_lists['otwin_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='otlost_chk'";
		$this->db->setQuery($query);
		$this->_lists['otlost_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='diff_chk'";
		$this->db->setQuery($query);
		$this->_lists['diff_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='gd_chk'";
		$this->db->setQuery($query);
		$this->_lists['gd_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='point_chk'";
		$this->db->setQuery($query);
		$this->_lists['point_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='percent_chk'";
		$this->db->setQuery($query);
		$this->_lists['percent_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='played_chk'";
		$this->db->setQuery($query);
		$this->_lists['played_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='emblem_chk'";
		$this->db->setQuery($query);
		$this->_lists['emblem_chk'] = $this->db->loadResult();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='goalscore_chk'";
		$this->db->setQuery($query);
		$this->_lists['goalscore_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='goalconc_chk'";
		$this->db->setQuery($query);
		$this->_lists['goalconc_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='winhome_chk'";
		$this->db->setQuery($query);
		$this->_lists['winhome_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='winaway_chk'";
		$this->db->setQuery($query);
		$this->_lists['winaway_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='drawhome_chk'";
		$this->db->setQuery($query);
		$this->_lists['drawhome_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='drawaway_chk'";
		$this->db->setQuery($query);
		$this->_lists['drawaway_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='losthome_chk'";
		$this->db->setQuery($query);
		$this->_lists['losthome_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='lostaway_chk'";
		$this->db->setQuery($query);
		$this->_lists['lostaway_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='pointshome_chk'";
		$this->db->setQuery($query);
		$this->_lists['pointshome_chk'] = $this->db->loadResult();
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='pointsaway_chk'";
		$this->db->setQuery($query);
		$this->_lists['pointsaway_chk'] = $this->db->loadResult();
		//----colors----//
		$query = "SELECT * FROM #__bl_tblcolors WHERE s_id=".$row->s_id." ORDER BY place";
		$this->db->setQuery($query);
		$this->_lists['colors'] = $this->db->loadObjectList();
		//===access====//
		$query = "SELECT u.id as id FROM #__users as u, #__bl_feadmins as f WHERE f.user_id = u.id AND f.season_id=".$row->s_id." ORDER BY u.username";
		$this->db->setQuery($query);
		$f_admins_ids = $this->db->loadColumn();
		$query = "SELECT * FROM #__users ".(count($f_admins_ids)?"WHERE id NOT IN (".implode(',',$f_admins_ids).")":"")." ORDER BY username";
		$this->db->setQuery($query);
		$f_users = $this->db->loadObjectList();
		$this->_lists['usrlist'] = @JHtml::_('select.genericlist',   $f_users, 'usracc_id', 'class="inputbox" size="10" multiple', 'id', 'username', 0 );
		
		$query = "SELECT u.id as id, u.username as t_name FROM #__users as u, #__bl_feadmins as f WHERE f.user_id = u.id AND f.season_id=".$row->s_id." ORDER BY u.username";
		$this->db->setQuery($query);
		$f_admins = $this->db->loadObjectList();
		$this->_lists['usrlist_vyb'] = @JHtml::_('select.genericlist',   $f_admins, 'usr_admins[]', 'class="inputbox" size="10" multiple', 'id', 't_name', 0 );
		
		///----list of ranking criteria----///
		$sortway = array();
		$sortway[] = JHtml::_('select.option',  0, JText::_('BLBE_DESC'), 'id', 'name' );
		$sortway[] = JHtml::_('select.option',  1, JText::_('BLBE_ASC'), 'id', 'name' ); 
		 
		
		$this->_lists['sortway'] = $sortway;//JHtml::_('select.genericlist',   $sortway, 'sortway[]', 'class="inputbox"', 'id', 'name', 0 );
		
		$sortfield[] = JHtml::_('select.option',  0, JText::_('No'), 'id', 'name' ); 
		$sortfield[] = JHtml::_('select.option',  1, JText::_('BLBE_SELPOINTS'), 'id', 'name' );
        $sortfield[] = JHtml::_('select.option',  6, JText::_('Played'), 'id', 'name' );
		$sortfield[] = JHtml::_('select.option',  2, JText::_('BLBE_SELWPC'), 'id', 'name' ); 
		//$sortfield[] = JHtml::_('select.option',  3, JText::_('If equal points/win percent games between teams'), 'id', 'name' ); 
		$sortfield[] = JHtml::_('select.option',  4, JText::_('BLBE_SELGD'), 'id', 'name' );
		$sortfield[] = JHtml::_('select.option',  5, JText::_('BLBE_SELGS'), 'id', 'name' );


        $this->_lists['sortfield'] = $sortfield;//JHtml::_('select.genericlist',   $sortfield, 'sortfield[]', 'class="inputbox"', 'id', 'name', 0 );
		
		$query = "SELECT * FROM #__bl_ranksort WHERE seasonid=".$row->s_id." ORDER BY ordering";
		$this->db->setQuery($query);
		$this->_lists['savedsort'] = $this->db->loadObjectList();
		
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$row->s_id." AND opt_name='equalpts_chk'";
		$this->db->setQuery($query);
		$this->_lists['equalpts_chk'] = $this->db->loadResult();

	}

	

	
	function saveSeason(){

		$post		= JRequest::get( 'post' );
		$post['s_enbl_extra'] = JRequest::getVar( 's_enbl_extra', 0, 'post', 'int' );
		$post['s_descr'] = JRequest::getVar( 's_descr', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row 	= new JTableSeason($this->db);
		$win_chk = JRequest::getVar( 'win_chk', 0, 'post', 'int' );
		$lost_chk = JRequest::getVar( 'lost_chk', 0, 'post', 'int' );
		$draw_chk = JRequest::getVar( 'draw_chk', 0, 'post', 'int' );
		$otwin_chk = JRequest::getVar( 'otwin_chk', 0, 'post', 'int' );
		$otlost_chk = JRequest::getVar( 'otlost_chk', 0, 'post', 'int' );
		$diff_chk = JRequest::getVar( 'diff_chk', 0, 'post', 'int' );
		$gd_chk = JRequest::getVar( 'gd_chk', 0, 'post', 'int' );
		$point_chk = JRequest::getVar( 'point_chk', 0, 'post', 'int' );
		$percent_chk = JRequest::getVar( 'percent_chk', 0, 'post', 'int' );
		$equalpts_chk = JRequest::getVar( 'equalpts_chk', 0, 'post', 'int' );
		$played_chk = JRequest::getVar( 'played_chk', 0, 'post', 'int' );
		$emblem_chk = JRequest::getVar( 'emblem_chk', 0, 'post', 'int' );
		$goalscore_chk = JRequest::getVar( 'goalscore_chk', 0, 'post', 'int' );
		$goalconc_chk = JRequest::getVar( 'goalconc_chk', 0, 'post', 'int' );
		$winhome_chk = JRequest::getVar( 'winhome_chk', 0, 'post', 'int' );
		$winaway_chk = JRequest::getVar( 'winaway_chk', 0, 'post', 'int' );
		$drawhome_chk = JRequest::getVar( 'drawhome_chk', 0, 'post', 'int' );
		$drawaway_chk = JRequest::getVar( 'drawaway_chk', 0, 'post', 'int' );
		$losthome_chk = JRequest::getVar( 'losthome_chk', 0, 'post', 'int' );
		$lostaway_chk = JRequest::getVar( 'lostaway_chk', 0, 'post', 'int' );
		$pointshome_chk = JRequest::getVar( 'pointshome_chk', 0, 'post', 'int' );
		$pointsaway_chk = JRequest::getVar( 'pointsaway_chk', 0, 'post', 'int' );
		
		if (!$row->bind( $post )) {
			JError::raiseError(500, $row->getError() );
		}
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
		// if new item order last in appropriate group
		
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
		$row->checkin();
		
		$query = "DELETE FROM #__bl_season_teams WHERE season_id = ".$row->s_id;
		$this->db->setQuery($query);
		$this->db->query();
		
		$teams_season 		= JRequest::getVar( 'teams_season', array(0), '', 'array' );
		JArrayHelper::toInteger($teams_season, array(0));
		if(count($teams_season)){
			foreach($teams_season as $teams){
				$query = "INSERT INTO #__bl_season_teams(season_id,team_id) VALUES(".$row->s_id.",".$teams.")";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
	///------------access---
		$query = "DELETE FROM #__bl_feadmins WHERE season_id = ".$row->s_id;
		$this->db->setQuery($query);
		$this->db->query();
		
		$usr_admins 		= JRequest::getVar( 'usr_admins', array(0), '', 'array' );
		JArrayHelper::toInteger($usr_admins, array(0));
		if(count($usr_admins)){
			foreach($usr_admins as $usrz){
				$query = "INSERT INTO #__bl_feadmins(season_id,user_id) VALUES(".$row->s_id.",".$usrz.")";
				$this->db->setQuery($query);
				$this->db->query();
			}
			
		}		
		
		//season params
		
		$query = "DELETE FROM #__bl_season_option WHERE s_id = ".$row->s_id;
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'win_chk','".$win_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'lost_chk','".$lost_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'draw_chk','".$draw_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'otwin_chk','".$otwin_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'otlost_chk','".$otlost_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'diff_chk','".$diff_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'gd_chk','".$gd_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'point_chk','".$point_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'percent_chk','".$percent_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'equalpts_chk','".$equalpts_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'played_chk','".$played_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'emblem_chk','".$emblem_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'goalscore_chk','".$goalscore_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		//2.0.7
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'goalconc_chk','".$goalconc_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'winhome_chk','".$winhome_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'winaway_chk','".$winaway_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'drawhome_chk','".$drawhome_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'drawaway_chk','".$drawaway_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'losthome_chk','".$losthome_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'lostaway_chk','".$lostaway_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'pointshome_chk','".$pointshome_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		$query = "INSERT INTO #__bl_season_option(s_id,opt_name,opt_value) VALUES($row->s_id,'pointsaway_chk','".$pointsaway_chk."')";
		$this->db->setQuery($query);
		$this->db->query();
		///-------------colors---------//
		
		$query = "DELETE FROM #__bl_tblcolors WHERE s_id=".$row->s_id;
		$this->db->setQuery($query);
		$this->db->query();
		
		$rowcount = JRequest::getVar( 'col_count', 0, 'post', 'int' );
		for($z=1;$z<$rowcount+1;$z++){
			if($_POST['place_'.$z] && $_POST['input_field_'.$z]){
				$query = "INSERT INTO #__bl_tblcolors(s_id,place,color) VALUES(".$row->s_id.",'".$_POST['place_'.$z]."','".$_POST['input_field_'.$z]."')";
				$this->db->setQuery($query);
				$this->db->query();
			}
		}
		
		///--------------Ranking sort---------------////
		$query = "DELETE FROM #__bl_ranksort WHERE seasonid = ".$row->s_id;
		$this->db->setQuery($query);
		$this->db->query();
		$i=0;
		$sortfield 		= JRequest::getVar( 'sortfield', array(0), '', 'array' );
		JArrayHelper::toInteger($sortfield, array(0));
		if(count($sortfield)){
			foreach($sortfield as $usrz){
				if($usrz){
					$query = "INSERT INTO #__bl_ranksort(seasonid,sort_field,sort_way,ordering) VALUES(".$row->s_id.",'".$usrz."','".intval($_POST['sortway'][$i])."',".$i.")";
					$this->db->setQuery($query);
					$this->db->query();
					$i++;
				}
			}
		}
			$this->_id = $row->s_id;
		}

	
	
	
}
