<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class team_listJSModel extends JSPRO_Models
{
	
	var $_data = null;

	var $_total = null;
	var $lists = null;
	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;

	function __construct()
	{
		parent::__construct();

		$mainframe = JFactory::getApplication();
		$option = 'com_joomsport';
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$this->getData();
	}

	function getData()
	{
		$query = "SELECT COUNT(*) FROM #__bl_teams ORDER BY t_name";
		$this->db->setQuery($query);
		$this->_total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $this->_total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		
		$query = "SELECT * FROM #__bl_teams ORDER BY t_name";
		$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
		$this->_data = $this->db->loadObjectList();
	}


	///delete
	function delTeam($cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_teams WHERE id IN (".$cids.")");
			$this->db->query();
			
			$query = "DELETE p,ap FROM #__bl_photos as p, #__bl_assign_photos as ap WHERE ap.cat_id IN (".$cids.") AND p.id = ap.photo_id  AND ap.cat_type = 2";
            $this->db->setQuery($query);
            $this->db->query();

            $this->db->setQuery("UPDATE #__bl_players SET team_id = '0' WHERE team_id IN (".$cids.")");
            $this->db->query();
			
			$query = "SELECT id FROM `#__bl_extra_filds` WHERE type = 1";
            $this->db->setQuery($query);
            $fid = $this->db->loadColumn();
            if(count($fid)){
                $fids = implode(',',$fid);
                $query = "DELETE FROM `#__bl_extra_values` WHERE uid IN (".$cids.") AND f_id IN (".$fids.")";
                $this->db->setQuery($query);
                $this->db->query();
            }
		}
	}
}