<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class tour_listJSModel extends JSPRO_Models
{
	
	var $_data = null;

	var $_total = null;
	var $_lists = null;

	var $_pagination = null;
	var $limit = null;
	var $limitstart = null;

	function __construct()
	{
		parent::__construct();
		$option = 'com_joomsport';
		$mainframe = JFactory::getApplication();
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$this->getData();
	}

	function getData()
	{
		$query = "SELECT COUNT(*) FROM #__bl_tournament ORDER BY name";
			$this->db->setQuery($query);
			$this->_total = $this->db->loadResult();

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $this->_total, $this->limitstart, $this->limit );
		$this->_pagination = $pageNav;
		$query = "SELECT * FROM #__bl_tournament ORDER BY name";
			$this->db->setQuery($query, $pageNav->limitstart, $pageNav->limit);
			$this->_data = $this->db->loadObjectList();
	}

	
	
	//delete tourn
	function delTourn($cid){
		if(count($cid)){
			$cids = implode(',',$cid);
			$this->db->setQuery("DELETE FROM #__bl_tournament WHERE id IN (".$cids.")");
			$this->db->query();
			
			$query = "SELECT s_id FROM #__bl_seasons WHERE t_id IN (".$cids.")";
			$this->db->setQuery($query);
			$sid = $this->db->loadColumn();
			
			$query = "DELETE FROM `#__bl_seasons` WHERE t_id IN (".$cids.")";
			$this->db->setQuery($query);
			$this->db->query();
			if(count($sid)){
				//mdays
				$sids = implode(',',$sid);
				$query = "SELECT id FROM #__bl_matchday WHERE s_id IN (".$sids.")";
				$this->db->setQuery($query);
				$mdid = $this->db->loadColumn();
				$error = $this->db->getErrorMsg();
				if ($error)
				{
					return JError::raiseError(500, $error);
				}
				
			//print_r($mdid);die;	
				$query = "DELETE FROM `#__bl_matchday` WHERE s_id IN (".$sids.")";
				$this->db->setQuery($query);
				$this->db->query();
				
				if(count($mdid)){
                    $mdids = implode(',',$mdid);
                    $query = "SELECT id FROM #__bl_match WHERE m_id IN (".$mdids.")";
                    $this->db->setQuery($query);
                    $mids = $this->db->loadColumn();

                    $query = "DELETE FROM `#__bl_match` WHERE m_id IN (".$mdids.")";
                    $this->db->setQuery($query);
                    $this->db->query();
					
					if(count($mids)){

                    $mdids = implode(',',$mids);
					$this->db->setQuery("DELETE p,ap FROM #__bl_photos as p, #__bl_assign_photos as ap WHERE p.id = ap.photo_id AND ap.cat_type = 3 AND ap.cat_id IN (".implode(',',$mids).")");
                    $this->db->query();
					
						$query = "DELETE ev FROM #__bl_extra_filds as ef, #__bl_extra_values as ev WHERE ef.type = '2' AND ef.id = ev.f_id AND ev.uid IN(".implode(',',$mids).")";
						$this->db->setQuery($query);
						$this->db->query();
					}
				}
			}
			
			
		}
	}

}