<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require(dirname(__FILE__).'/../../includes/pagination.php');

class admin_playerJSModel extends JSPRO_Models
{
	var $s_id = null;
	var $limit = null;
	var $limitstart = null;
	var $f_team = null;
	var $f_pos = null;
	var $pageNav = null;
	var $_rows = null;
	var $_lists = null;
	var $params = null;
	
	
	function __construct()
	{
		parent::__construct();
		$mainframe = JFactory::getApplication();
		$pathway  = $mainframe->getPathway(); // !!! 
		$document = JFactory::getDocument();// <----  
		$this->params	= $mainframe->getParams();
		
		$option = 'com_joomsport';
		
		$this->s_id		= $mainframe->getUserStateFromRequest( $option.'.sid', 'sid', 0, 'int' );
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$this->f_team		= $mainframe->getUserStateFromRequest( $option.'.filter_team', 'f_team', 0, 'int' );
		$this->f_pos		= $mainframe->getUserStateFromRequest( $option.'.filter_pos', 'f_pos', 0, 'int' );
		
		
	}
	
	function getData()
	{
		$query = "SELECT COUNT(DISTINCT(p.id)) FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id." AND p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"").($this->f_pos?" AND bp.p_id =".$this->f_pos:"")." ";
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$this->pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		
		$query = "SELECT DISTINCT(p.id),p.*,t.t_name,bp.p_name FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id." AND p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"").($this->f_pos?" AND bp.p_id =".$this->f_pos:"")."  ORDER BY p.first_name,p.last_name";
		$this->db->setQuery($query, $this->pageNav->limitstart, $this->pageNav->limit);
		$this->_rows = $this->db->loadObjectList();
		
		$javascript = 'onchange = "document.adminForm.submit();"';
			
		//$pos = array();
		//$query = "SELECT * FROM #__bl_positions ORDER BY p_name";
		$query = "SELECT t.id as p_id,t.t_name as p_name FROM #__bl_season_teams as st, #__bl_teams as t WHERE st.season_id = ".$this->s_id." AND st.team_id = t.id ORDER BY t_name";
		$this->db->setQuery($query);
		$tourn = $this->db->loadObjectList();
	
		$pos[] = JHTML::_('select.option',  0, JText::_('BLFA_SELPOSITION'), 'p_id', 'p_name' ); 
		$positions = array_merge($pos,$tourn);
		$this->_lists['pos'] = JHTML::_('select.genericlist',   $positions, 'f_pos', 'class="inputbox" size="1"'.$javascript, 'p_id', 'p_name', $this->f_pos );
		
		$is_team = array();
		$query = "SELECT t.id as id,t.t_name FROM #__bl_teams as t ORDER BY t.t_name";
		$this->db->setQuery($query);
		$team = $this->db->loadObjectList();
		$is_team[] = JHTML::_('select.option',  0, JText::_('BLFA_SELTEAM'), 'id', 't_name' ); 
		$teamis = array_merge($is_team,$team);
		$this->_lists['teams1'] = JHTML::_('select.genericlist',   $teamis, 'f_team', 'class="inputbox" size="1"'.$javascript, 'id', 't_name', $this->f_team);
	}
		
	
}
