<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require(dirname(__FILE__).'/../../includes/pagination.php');

class admin_teamJSModel extends JSPRO_Models
{
	var $pageNav = null;
	var $params = null;
	var $s_id = null;
	var $_rows = null;
	var $limitstart = null;
	var $limit = null;
	
	function __construct()
	{
		parent::__construct();
		$mainframe = JFactory::getApplication();
		$pathway  = $mainframe->getPathway(); // !!! 
		$document = JFactory::getDocument();// <----  
		$this->params	= $mainframe->getParams();
		
		
		$option = 'com_joomsport';
		
		$this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
		$this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );
		$this->s_id = JRequest::getVar( 'sid', 0, '', 'int' );

	}
	
	function getData()
	{
		$query = "SELECT COUNT(DISTINCT(t.id)) FROM #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id;
		$this->db->setQuery($query);
		$total = $this->db->loadResult();
		
		jimport('joomla.html.pagination');
		$this->pageNav = new JPagination( $total, $this->limitstart, $this->limit );
		
		$query = "SELECT DISTINCT(t.id),t.* FROM #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id." ORDER BY t.t_name";
		$this->db->setQuery($query, $this->pageNav->limitstart, $this->pageNav->limit);
		$this->_rows = $this->db->loadObjectList();
	}
	
	
}
