<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');

class ltableJSModel extends JSPRO_Models
{
	
	var $_data = null;
	var $_lists = null;
	var $s_id = null;
	var $gr_id = null;
	var $myseas = null;
	var $t_type = null;
	var $_matchs = null;
	var $_params = null;
	var $adm_links = null;
	var $curseas = null;
	var $bonus_not = null;
	var $season_par = null;
	var $p_title = null;
	var $teams_season = null;
	var $group_name = null;
	var $playoffs = null;
	
	
	function __construct()
	{
		parent::__construct();
		
		
		$this->s_id = JRequest::getVar( 'sid', 0, '', 'int' );
		$this->gr_id = JRequest::getVar( 'gr_id', 0, '', 'int' );
		$calendar = JRequest::getVar( 'calendar', 0, '', 'int' );
		if(!$this->s_id){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return; 
		}
		
		// $db			=  JFactory::getDBO();
		
		
		$this->adm_links = $this->getAdmLinks();
		
		$query = "SELECT CONCAT(t.name,' ',s.s_name) FROM #__bl_seasons as s, #__bl_tournament as t WHERE t.id = s.t_id AND s.s_id = ".$this->s_id;
		$this->db->setQuery($query);
		$this->p_title = $this->db->loadResult();
		
		$query = "SELECT * FROM #__bl_seasons as s, #__bl_tournament as t WHERE t.id = s.t_id AND s.published='1' AND t.published='1' AND s.s_id = ".$this->s_id;
		$this->db->setQuery($query);
		$this->curseas = $this->db->loadObject();
	//print_r($query);
		if(!count($this->curseas)){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return;
		}
	}

	function getData()
	{
		$user	= JFactory::getUser();
		
		$this->_matchs = $this->getMatchs($this->s_id);
		$m = 0;
		if(count($this->_matchs)){
			foreach($this->_matchs as $match){
				$query = "SELECT me.*,ev.*,CONCAT(p.first_name,' ',p.last_name) as p_name,p.team_id FROM #__bl_match_events as me, #__bl_events as ev, #__bl_players as p WHERE me.player_id = p.id AND ev.player_event = '1' AND me.e_id = ev.id AND me.t_id=".$match->hm_id." ORDER BY CAST(me.minutes AS UNSIGNED)";
				$this->db->setQuery($query);
				//echo mysql_error();die();
				$this->_matchs[$m]->m_events_home = $this->db->loadObjectList();
				
				$query = "SELECT me.*,ev.*,CONCAT(p.first_name,' ',p.last_name) as p_name,p.team_id FROM #__bl_match_events as me, #__bl_events as ev, #__bl_players as p WHERE me.player_id = p.id AND ev.player_event = '1' AND me.e_id = ev.id AND me.t_id=".$match->aw_id." ORDER BY me.minutes";
				$this->db->setQuery($query);
				//echo mysql_error();die();
				$this->_matchs[$m]->m_events_away = $this->db->loadObjectList();
				$m++;
			}
		}
		
		$query = "SELECT cfg_value FROM #__bl_config  WHERE cfg_name = 'yteam_color'";
		$this->db->setQuery($query);
		$teams_your_color = $this->db->loadResult();
		
		// $bonus_not = array();
		
		$this->season_par = $this->getSParametrs($this->s_id);
		$this->groups_exists = array();	
		$table_view = array();
		$query = "SELECT t.*,st.bonus_point FROM #__bl_season_teams as st, #__bl_teams as t WHERE t.id = st.team_id AND st.season_id = ".$this->s_id;
		$this->db->setQuery($query);
		$teams = $this->db->loadObjectList();
		for ($i=0;$i<count($teams);$i++){
			$tid = $teams[$i]->id;
			$t_par = $this->getTeam($tid);
			
			$teams_name = $t_par->t_name;
			
			$query = "SELECT bonus_point FROM #__bl_season_teams WHERE team_id = ".$tid." AND season_id=".$this->s_id;
			$this->db->setQuery($query);
			$bonus_point = $this->db->loadResult();
			
			$teams_your = $t_par->t_yteam;
			
			$query = "SELECT gr.g_id FROM  #__bl_season_teams as st, #__bl_grteams as gr, #__bl_groups as g WHERE g.s_id = ".$this->s_id." AND g.id = gr.g_id AND gr.t_id = st.team_id AND st.season_id = ".$this->s_id." AND st.team_id = ".$tid." LIMIT 1";
			$this->db->setQuery($query);
			$group_id = $this->db->loadResult();
			if(!in_array($group_id,$this->groups_exists) && $group_id){
				if($this->gr_id && $this->season_par->s_groups){	
					if($this->gr_id==$group_id){
						$this->groups_exists[] = $group_id;
					}
				}else{
					$this->groups_exists[] = $group_id;
				}
				
			}

			$emblems = $t_par->t_emblem;
	
			if($teams[$i]->bonus_point && $teams[$i]->bonus_point != 0.00){
				if(!isset($this->bonus_not[$group_id]) || !$this->bonus_not[$group_id]){
					
					$this->bonus_not[$group_id] = $teams_name." - ".floatval($teams[$i]->bonus_point)."<br />";
				}else{
					$this->bonus_not[$group_id] .= $teams_name." - ".floatval($teams[$i]->bonus_point)."<br />";
				}
			}
			//
			
			if(!in_array($group_id,$this->groups_exists) && $group_id){
				$this->groups_exists[] = $group_id;
			}
			
			$query = "SELECT SUM(score1) as sc,SUM(score2) as rc FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND md.is_playoff = 0 AND m.m_played = 1 AND m.team1_id = ".$tid;
			$this->db->setQuery($query);
			$home = $this->db->loadObjectList();
			$query = "SELECT SUM(score1) as rc,SUM(score2) as sc FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND md.is_playoff = 0 AND m.m_played = 1 AND m.team2_id = ".$tid;
			$this->db->setQuery($query);
			$away = $this->db->loadObjectList();
			
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (".$tid." = m.team1_id AND m.score1 > m.score2) AND m.is_extra = 0 AND m.m_played = 1 AND md.is_playoff = 0";
			$this->db->setQuery($query);
			$wins = $this->db->loadResult();
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (".$tid." = m.team1_id) AND m.score1 = m.score2 AND m.m_played = 1 AND md.is_playoff = 0";
			$this->db->setQuery($query);
			$drows = $this->db->loadResult();
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (".$tid." = m.team1_id AND m.score1 < m.score2) AND m.is_extra = 0 AND md.is_playoff = 0 AND m.m_played = 1";
			$this->db->setQuery($query);
			$loose = $this->db->loadResult();
			
			$query = "SELECT SUM(bonus1) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND ".$tid." = m.team1_id AND md.is_playoff = 0 AND m.m_played = 1";
			$this->db->setQuery($query);
			$bonus1 = $this->db->loadResult();
			$query = "SELECT SUM(bonus2) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND ".$tid." = m.team2_id AND md.is_playoff = 0 AND m.m_played = 1";
			$this->db->setQuery($query);
			$bonus2 = $this->db->loadResult();
			
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (m.team2_id = ".$tid." AND m.score2 > m.score1) AND m.is_extra = 0 AND m.m_played = 1 AND md.is_playoff = 0";
			$this->db->setQuery($query);
			$wins_away = $this->db->loadResult();
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (".$tid." = m.team2_id) AND m.score1 = m.score2  AND m.m_played = 1 AND md.is_playoff = 0";
			$this->db->setQuery($query);
			$drows_away = $this->db->loadResult();
			$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND (".$tid." = m.team2_id AND m.score2 < m.score1)  AND m.is_extra = 0 AND md.is_playoff = 0 AND m.m_played = 1";
			$this->db->setQuery($query);
			$loose_away = $this->db->loadResult();
			
			if($this->season_par->s_enbl_extra){
				$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND ((m.team2_id = ".$tid." AND m.score2 > m.score1) OR (".$tid." = m.team1_id AND m.score1 > m.score2)) AND m.is_extra = 1 AND md.is_playoff = 0 AND m.m_played = 1";
				$this->db->setQuery($query);
				$wins_ext = $this->db->loadResult();
				
				///$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND ((m.team2_id = ".$tid." AND m.score2 = m.score1) OR (".$tid." = m.team1_id AND m.score1 = m.score2)) AND m.is_extra = 1 AND md.is_playoff = 0 AND m.m_played = 1";
				///$this->db->setQuery($query);
				///$drow_ext = $this->db->loadResult();
				
				$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m WHERE m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND ((".$tid." = m.team2_id AND m.score2 < m.score1) OR (".$tid." = m.team1_id AND m.score1 < m.score2)) AND m.is_extra = 1 AND md.is_playoff = 0 AND m.m_played = 1";
				$this->db->setQuery($query);
				$loose_ext = $this->db->loadResult();
			}
			//print_r($loose_ext);

			$table_view[$i]['g_id'] = $this->season_par->s_groups ? $group_id : 0;
			$table_view[$i]['tid'] = $tid;
			$table_view[$i]['name'] = $teams_name;
			$table_view[$i]['played'] = $wins + $drows + $loose +$wins_away+$drows_away+$loose_away + (($this->season_par->s_enbl_extra)?($wins_ext + $loose_ext):0);
			$table_view[$i]['win'] = $wins +$wins_away;
			$table_view[$i]['draw'] = $drows+$drows_away;
			$table_view[$i]['lost'] = $loose+$loose_away;
			if($this->season_par->s_enbl_extra){
				$table_view[$i]['extra_win'] = $wins_ext;
				$table_view[$i]['extra_lost'] = $loose_ext;
			}
			$table_view[$i]['goals'] = ($home[0]->sc + $away[0]->sc).' - '.($home[0]->rc + $away[0]->rc);
			$table_view[$i]['gd'] = ($home[0]->sc + $away[0]->sc) - ($home[0]->rc + $away[0]->rc); //
			$table_view[$i]['points'] = $wins * $this->season_par->s_win_point + $drows * $this->season_par->s_draw_point + $loose * $this->season_par->s_lost_point + $wins_away * $this->season_par->s_win_away + $drows_away * $this->season_par->s_draw_away + $loose_away * $this->season_par->s_lost_away + (($this->season_par->s_enbl_extra)?($wins_ext * $this->season_par->s_extra_win + $loose_ext * $this->season_par->s_extra_lost):0) + $bonus_point + $bonus1 + $bonus2;
			$table_view[$i]['goal_score'] = $home[0]->sc + $away[0]->sc;	
			//ob_start();
			$table_view[$i]['yteam'] = $teams_your?$teams_your_color:'';
			if($table_view[$i]['played']){
				$table_view[$i]['winperc'] = ($wins + $wins_away + (( $this->season_par->s_enbl_extra && isset($wins_ext))?$wins_ext:0) + ($table_view[$i]['draw']/2))/($table_view[$i]['played']);
			}else{
				$table_view[$i]['winperc'] = 0;
			}
			//ob_clean();
			$query = "SELECT ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".$tid." WHERE ef.published=1 AND ef.type = '1' AND ef.e_table_view = '1' ORDER BY ef.ordering";
			$this->db->setQuery($query);
	
			$table_view[$i]['ext_fields'] = $this->db->loadColumn();
			
			$table_view[$i]['avulka_v'] = '';
			$table_view[$i]['avulka_cf'] = '';
			$table_view[$i]['avulka_cs'] = '';
			$table_view[$i]['avulka_qc'] = '';
			$table_view[$i]['t_emblem'] = $emblems;
			///1.1.3
				$table_view[$i]['goals_score'] = $home[0]->sc + $away[0]->sc;
				$table_view[$i]['goals_conc'] = $home[0]->rc + $away[0]->rc;
				$table_view[$i]['win_home'] = $wins;
				$table_view[$i]['draw_home'] = $drows;
				$table_view[$i]['lost_home'] = $loose;
				$table_view[$i]['win_away'] = $wins_away;
				$table_view[$i]['draw_away'] = $drows_away;
				$table_view[$i]['lost_away'] = $loose_away;
				$table_view[$i]['points_home'] = ($wins) * $this->season_par->s_win_point + ($drows) * $this->season_par->s_draw_point + ($loose) * $this->season_par->s_lost_point + $bonus1;
				$table_view[$i]['points_away'] = ($wins_away) * $this->season_par->s_win_away + ($drows_away) * $this->season_par->s_draw_away + ($loose_away) * $this->season_par->s_lost_away + $bonus2;
			
		}
		
		//---playeachother---///
		$query = "SELECT opt_value FROM #__bl_season_option WHERE s_id = ".$this->s_id." AND opt_name='equalpts_chk'";
		$this->db->setQuery($query);
		$equalpts_chk = $this->db->loadResult();
		
		if($equalpts_chk){
			$pts_arr = array();
			$pts_equal = array();
			foreach($table_view as $tv){
				if(!in_array($tv['points'],$pts_arr)){
					$pts_arr[] = $tv['points'];
				}else{
					if(!in_array($tv['points'],$pts_equal)){
						$pts_equal[] = $tv['points'];
					}
				}
			}
			$k = 0;
			$team_arr = array();
			foreach ($pts_equal as $pts){
				foreach($table_view as $tv){
					if($tv['points'] == $pts){
						$team_arr[$k][] = $tv['tid'];
						
					}
				}
				$k++;
			}
			
			foreach ($team_arr as $tm){
				
				foreach ($tm as $tm_one){
					
					$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1 AND md.s_id=".$this->s_id."  AND m.team1_id = t1.id AND m.team2_id = t2.id AND m.m_played=1 AND ((t1.id = ".$tm_one." AND m.score1>m.score2 AND t2.id IN (".implode(',',$tm).")) OR (t2.id=".$tm_one." AND m.score1<m.score2 AND t1.id IN (".implode(',',$tm).")))";
		
					$this->db->setQuery($query);
					
					$matchs_avulsa_win = $this->db->loadResult();
					
					$tm_equal_win = array();
					
					foreach ($tm as $tm_other){
						$query = "SELECT COUNT(*) FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1 AND md.s_id=".$this->s_id."  AND m.team1_id = t1.id AND m.team2_id = t2.id AND m.m_played=1 AND ((t1.id = ".$tm_other." AND m.score1>m.score2 AND t2.id IN (".implode(',',$tm).")) OR (t2.id=".$tm_other." AND m.score1<m.score2 AND t1.id IN (".implode(',',$tm).")))";
			
						$this->db->setQuery($query);
						
						$matchs_avulsa_win_other = $this->db->loadResult();
						
						if($matchs_avulsa_win_other == $matchs_avulsa_win){
							$tm_equal_win[] = $tm_other;
						}
					}
					
					$query = "SELECT SUM(score1) as sh,SUM(score2) as sw FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1 AND m.m_played=1 AND md.s_id=".$this->s_id."  AND m.team1_id = t1.id AND m.team2_id = t2.id AND ((t1.id = ".$tm_one." AND t2.id IN (".implode(',',$tm_equal_win).")))";
		
					$this->db->setQuery($query);
				
					$matchs_avulsa_score = $this->db->loadRow();
					//var_dump($matchs_avulsa_score);
					
					$query = "SELECT SUM(score2) as sh,SUM(score1) as sw FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t1, #__bl_teams as t2 WHERE m.m_id = md.id AND m.published = 1 AND m.m_played=1 AND md.s_id=".$this->s_id."  AND m.team1_id = t1.id AND m.team2_id = t2.id AND ((t2.id=".$tm_one." AND t1.id IN (".implode(',',$tm_equal_win).")))";
		
					$this->db->setQuery($query);
				
					$matchs_avulsa_rec = $this->db->loadRow();
					
					 $matchs_avulsa_res = intval($matchs_avulsa_score[0]) + intval($matchs_avulsa_rec[0]);
					 $matchs_avulsa_res2 = intval($matchs_avulsa_score[1]) + intval($matchs_avulsa_rec[1]);
					

					for ($b=0;$b<count($table_view);$b++){
						if($table_view[$b]['tid']==$tm_one){
							$table_view[$b]['avulka_v'] = $matchs_avulsa_win;
							$table_view[$b]['avulka_cf'] = $matchs_avulsa_res;
							$table_view[$b]['avulka_cs'] = $matchs_avulsa_res2;
							$table_view[$b]['avulka_qc'] = $matchs_avulsa_res-$matchs_avulsa_res2;
						}
					}
				}	
			}
		}	
		//--/playeachother---///
		
		$sort_arr = array();
		 foreach($table_view AS $uniqid => $row){
	        foreach($row AS $key=>$value){
	            $sort_arr[$key][$uniqid] = $value;
	        }
	    }
	   if(count($this->groups_exists)){
	   	$query = "SELECT id FROM #__bl_groups WHERE id IN (".(count($this->groups_exists)?implode(',',$this->groups_exists):"''").") ORDER BY ordering";
		$this->db->setQuery($query);
		$this->groups_exists = $this->db->loadColumn();
		
		//sort($groups_exists, SORT_NUMERIC);
	   }
	  	if(!$this->season_par->s_groups){
	  		$this->groups_exists = array(0);
	  	}

		if(count($sort_arr)){
			// sort fields 1-points, 2-wins percent, /*3-if equal between teams*/, 4-goal difference, 5-goal score
			$query = "SELECT * FROM #__bl_ranksort WHERE seasonid=".$this->s_id." ORDER BY ordering";
			$this->db->setQuery($query);
			$savedsort = $this->db->loadObjectList();
			$argsort = array();
			$argsort_way = array();
			if(count($savedsort)){
				foreach($savedsort as $sortop){
					switch($sortop->sort_field){
						case '1': $argsort[][0] = $sort_arr['points'];		break;
						case '2': $argsort[][0] = $sort_arr['winperc'];		break;
						case '3': $argsort[][0] = $sort_arr['points'];		break; /* not used */
						case '4': $argsort[][0] = $sort_arr['gd'];			break;
						case '5': $argsort[][0] = $sort_arr['goal_score'];	break;
                        case '6': $argsort[][0] = $sort_arr['played'];	break; ///////////////////////////////UPD!!!!!!!!!!!!!!!!!!!!
					}
					
					$argsort_way[] = $sortop->sort_way;
				}
			}
			//var_dump($argsort);
			if($equalpts_chk){
				//var_dump($sort_arr['avulka_v']);
				array_multisort($sort_arr['g_id'], SORT_ASC,$sort_arr['points'], SORT_DESC,$sort_arr['avulka_v'], SORT_DESC,$sort_arr['avulka_qc'],SORT_DESC,$sort_arr['avulka_cf'],SORT_DESC,$sort_arr['gd'], SORT_DESC,$sort_arr['goal_score'], SORT_DESC, $table_view);
			
			}else{
			
				array_multisort($sort_arr['g_id'], SORT_ASC,(isset($argsort[0][0])?$argsort[0][0]:$sort_arr['points']), (isset($argsort_way[0])?($argsort_way[0]?SORT_ASC:SORT_DESC):SORT_DESC),(isset($argsort[1][0])?$argsort[1][0]:$sort_arr['gd']), (isset($argsort_way[1])?($argsort_way[1]?SORT_ASC:SORT_DESC):SORT_DESC),(isset($argsort[2][0])?$argsort[2][0]:$sort_arr['goal_score']), (isset($argsort_way[2])?($argsort_way[2]?SORT_ASC:SORT_DESC):SORT_DESC), $table_view);
			}
		}
		$query = "SELECT m.*,m.id as mid,t.t_name as home, t2.t_name as away, md.m_name, m.is_extra FROM #__bl_matchday as md, #__bl_match as m, #__bl_teams as t, #__bl_teams as t2  WHERE  m.m_id = md.id AND md.s_id = ".$this->s_id." AND m.published = 1 AND md.is_playoff = 1 AND t.id = m.team1_id AND t2.id = m.team2_id AND m.m_played = 1  ORDER BY md.id,m.id";
		$this->db->setQuery($query);
		$this->playoffs = $this->db->loadObjectList();
	    // print_r($this->groups_exists);die;
		$query = "SELECT group_name FROM #__bl_groups WHERE id IN (".(count($this->groups_exists)?implode(',',$this->groups_exists):"''").") ORDER BY ordering";
		$this->db->setQuery($query);
		$this->group_name = $this->db->loadColumn();
		
		$this->_lists['win_chk'] = $this->getSOptions('win_chk');
	
	$this->_lists['lost_chk'] = $this->getSOptions('lost_chk');
	
	$this->_lists['draw_chk'] = $this->getSOptions('draw_chk');

	$this->_lists['otwin_chk'] = $this->getSOptions('otwin_chk');
	
	$this->_lists['otlost_chk'] = $this->getSOptions('otlost_chk');
	
	$this->_lists['diff_chk'] = $this->getSOptions('diff_chk');

	$this->_lists['gd_chk'] = $this->getSOptions('gd_chk');

	$this->_lists['point_chk'] = $this->getSOptions('point_chk');

	$this->_lists['percent_chk'] = $this->getSOptions('percent_chk');
	
	$this->_lists['played_chk'] = $this->getSOptions('played_chk');
	
	$this->_lists['emblem_chk'] = $this->getSOptions('emblem_chk');
	$this->_lists['goalscore_chk'] = $this->getSOptions('goalscore_chk');
	$this->_lists['goalconc_chk'] = $this->getSOptions('goalconc_chk');
	$this->_lists['winhome_chk'] = $this->getSOptions('winhome_chk');
	$this->_lists['winaway_chk'] = $this->getSOptions('winaway_chk');
	$this->_lists['drawhome_chk'] = $this->getSOptions('drawhome_chk');
	$this->_lists['drawaway_chk'] = $this->getSOptions('drawaway_chk');
	$this->_lists['losthome_chk'] = $this->getSOptions('losthome_chk');
	$this->_lists['lostaway_chk'] = $this->getSOptions('lostaway_chk');
	$this->_lists['pointshome_chk'] = $this->getSOptions('pointshome_chk');
	$this->_lists['pointsaway_chk'] = $this->getSOptions('pointsaway_chk');
	$this->_lists['v_table'] = $table_view;
	
	
	$query = "SELECT ef.name FROM #__bl_extra_filds as ef  WHERE ef.published=1 AND ef.type = '1' AND ef.e_table_view = '1' ORDER BY ef.ordering";
	$this->db->setQuery($query);
	
	$ext_fields_name = $this->db->loadColumn();
	$this->_lists['ext_fields_name'] = $ext_fields_name;
	//
	$tLogo = '';
	if($this->curseas->logo && is_file('media/bearleague/'.$this->curseas->logo)){
		$tLogo = JURI::base()."media/bearleague/".$this->curseas->logo;
	}
	$this->_lists['socbut'] = getSocialButtons('jsbp_season',$this->p_title,$tLogo,htmlspecialchars(strip_tags($this->curseas->s_descr)));
		//----colors----//
	
	$color_mass = $this->getColors();
	$this->_lists['color_mass'] = $color_mass;
	///moderate///
	$query = "SELECT t.id FROM #__bl_teams as t, #__bl_moders as m WHERE m.tid=t.id AND m.uid=".$user->id." ORDER BY t.t_name";

	$this->db->setQuery($query);

	$this->teams_season = $this->db->loadColumn();
		
	}
	
}	