<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
// require(dirname(__FILE__).'/../../includes/pagination.php');

class playerJSModel extends JSPRO_Models
{
	var $_lists = null;
	var $s_id = null;
	var $player_id = null;
	var $_data		= null;
	var $_player = null;
	var $ext_fields = null;
	var $def_img = null;
	var $photos = null;
	
	function __construct()
	{
		parent::__construct();
		
		$this->player_id = JRequest::getVar( 'id', 0, '', 'int' );
		$this->s_id = JRequest::getVar( 'sid', 0, '', 'int' );

        $query = "SELECT id FROM #__bl_players WHERE id = ".$this->player_id;
        $this->db->setQuery($query);

		if(!$this->db->loadResult()){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return; 
		}
	}

	function getData()
	{
		$query = "SELECT p.*,ps.p_name,t.t_name FROM #__bl_players as p LEFT JOIN #__bl_positions as ps ON p.position_id = ps.p_id, #__bl_teams as t WHERE t.id = p.team_id AND p.id = ".$this->player_id;
		$this->db->setQuery($query);
		$players = $this->db->loadObjectList();
		$player = $players[0];
		$this->_player = $players[0];
		
		
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 1 AND cat_id = ".$this->player_id;
		$this->db->setQuery($query);
		$this->photos = $this->db->loadObjectList();
		
		$this->def_img = '';
		if($player->def_img){
			$query = "SELECT ph_filename FROM  #__bl_photos as p WHERE p.id = ".$player->def_img;
			$this->db->setQuery($query);
			$this->def_img = $this->db->loadResult();
		}else if(isset($this->photos[0])){
			$this->def_img = $this->photos[0]->filename;
		}
		
		$query = "SELECT ef.*,ev.fvalue as fvalue FROM #__bl_extra_filds as ef LEFT JOIN #__bl_extra_values as ev ON ef.id=ev.f_id AND ev.uid=".$this->player_id." WHERE ef.published=1 AND ef.type='0' ORDER BY ef.ordering";
		$this->db->setQuery($query);
		$this->ext_fields = $this->db->loadObjectList();
		
	//---------------PLayer Statistic-------------//
		$stat_array = array();
		
		$query = "SELECT DISTINCT(ev.id),ev.* FROM #__bl_events as ev, #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md WHERE ev.id = me.e_id AND me.match_id = m.id AND m.m_id=md.id ".(($this->s_id)?"AND md.s_id=".$this->s_id:"")." AND ev.player_event = 1  ORDER BY ev.id";
		$this->db->setQuery($query);
		$events = $this->db->loadObjectList();
		
		for($j=0;$j<count($events);$j++){
			
			$stat_array[$j][0] = $events[$j]->e_name;
			
			$this->db->setQuery("SELECT SUM(me.ecount) FROM #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md WHERE me.e_id = ".$events[$j]->id." AND me.player_id = ".$this->player_id." AND me.match_id = m.id AND m.m_played = 1 AND md.id=m.m_id ".(($this->s_id)?"AND md.s_id=".$this->s_id:""));
			$stat_array[$j][1] = intval($this->db->loadResult());
			
			$stat_array[$j][2] = '&nbsp;';
			if($events[$j]->e_img && is_file('media/bearleague/events/'.$events[$j]->e_img)){
				$stat_array[$j][2] = '<img src="media/bearleague/events/'.$events[$j]->e_img.'" title="'.$events[$j]->e_name.'" style="height:20px;" />';
			}
		}
	$this->_data = $stat_array;
	//social buttons
		$ogimg = '';
		if($this->def_img && is_file('media/bearleague/'.$this->def_img)){
			$ogimg = JURI::base().'media/bearleague/'.$this->def_img;
		}
		$this->_lists['socbut'] = getSocialButtons('jsbp_player',$player->first_name." ".$player->last_name,$ogimg,htmlspecialchars(strip_tags($player->about)));
		
	}
	
}	