<?php
/*------------------------------------------------------------------------
# JoomSport Professional 
# ------------------------------------------------------------------------
# BearDev development company 
# Copyright (C) 2011 JoomSport.com. All Rights Reserved.
# @license - http://joomsport.com/news/license.html GNU/GPL
# Websites: http://www.JoomSport.com 
# Technical Support:  Forum - http://joomsport.com/helpdesk/
-------------------------------------------------------------------------*/
// No direct access.
defined('_JEXEC') or die;

require(dirname(__FILE__).'/../models.php');
//require(dirname(__FILE__).'/../../includes/pagination.php');

class playerlistJSModel extends JSPRO_Models
{
	var $_lists = null;
	var $s_id = null;
	var $tmpl = null;
	var $players	  = null;
    var $total = null;

    var $pageNav = null;
    var $limit = null;
    var $limitstart = null;
	var $playerlist = null;
	function __construct()
	{
		parent::__construct();
		
		$this->s_id = JRequest::getVar( 'sid', 0, '', 'int' );

        $this->playerlist = JRequest::getVar( 'calendar', 0, '', 'int' );
        $mainframe = JFactory::getApplication();
        $option = 'com_joomsport';
        $this->limit		= $mainframe->getUserStateFromRequest( 'global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int' );
        $this->limitstart	= $mainframe->getUserStateFromRequest( $option.'.limitstart', 'limitstart', 0, 'int' );

        $this->tmpl = JRequest::getVar( 'tmpl', '', '', 'string' );
        $this->f_team		= $mainframe->getUserStateFromRequest( $option.'.filter_team', 'f_team', 0, 'int' );
		if(!$this->s_id){
			JError::raiseError( 403, JText::_('Access Forbidden') );
			return; 
		}


		
	}

	function getData()
	{
        $query = "SELECT COUNT(DISTINCT(p.id)) FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id." AND p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"")." ";
        $this->db->setQuery($query);
        $total = $this->db->loadResult();

        jimport('joomla.html.pagination');
        $this->pageNav = new JPagination( $total, $this->limitstart, $this->limit );

        $query = "SELECT DISTINCT(p.id),p.*,t.t_name,bp.p_name FROM #__bl_players as p LEFT JOIN #__bl_positions as bp ON bp.p_id=p.position_id, #__bl_teams as t, #__bl_seasons as s, #__bl_season_teams as st, #__bl_tournament as tr WHERE s.s_id=st.season_id AND st.team_id = t.id AND s.t_id = tr.id AND s.s_id=".$this->s_id." AND p.team_id = t.id ".($this->f_team?" AND t.id =".$this->f_team:"")."  ORDER BY p.first_name,p.last_name";
        $this->db->setQuery($query, $this->pageNav->limitstart, $this->pageNav->limit);
        $this->_rows = $this->db->loadObjectList();

        $javascript = 'onchange = "document.adminForm.submit();"';

        $is_team = array();
        $query = "SELECT t.id as id,t.t_name FROM #__bl_teams as t, #__bl_season_teams as st WHERE st.season_id = ".$this->s_id." AND st.team_id = t.id ORDER BY t.t_name";
        $this->db->setQuery($query);
        $team = $this->db->loadObjectList();
        $is_team[] = JHTML::_('select.option',  0, JText::_('BLFA_SELTEAM'), 'id', 't_name' );
        $teamis = array_merge($is_team,$team);
        $this->_lists['teams1'] = JHTML::_('select.genericlist',   $teamis, 'f_team', 'class="inputbox" size="1"'.$javascript, 'id', 't_name', $this->f_team);

        $query = "SELECT CONCAT(t.name,' ',s.s_name) FROM #__bl_seasons as s, #__bl_tournament as t WHERE t.id = s.t_id AND s.s_id = ".$this->s_id;
        $this->db->setQuery($query);
        $this->_lists['p_title'] = $this->db->loadResult();
    }
	
}	