<?php
// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view');
/**
 * HTML View class for the Registration component
 *
 * @package		Joomla
 * @subpackage	Registration
 * @since 1.0
 */
class joomsportViewmatch extends JViewLegacy
{
	var $_model = null;
	function __construct(& $model){
		$this->_model = $model;
		parent::__construct();
	}	
	function display($tpl = null)
	{
		$mainframe = JFactory::getApplication();
		JHTML::_('behavior.modal', 'a.team-images');
		$pathway  = $mainframe->getPathway();
		$document = JFactory::getDocument();
		$params	= $mainframe->getParams();
	 	// Page Title
		$jsite = new JSite();
		$menus	= $jsite->getMenu();
		$menu	= $menus->getActive();
		$this->_model->getData();
		
		$lists = $this->_model->_lists;
		$season_par = $this->_model->season_par;
		$match = $this->_model->match;
		$m_events_home = $this->_model->m_events_home;
		$m_events_away = $this->_model->m_events_away;
		$t_events = $this->_model->t_events;
		$photos = $this->_model->photos;
		$at_events = $this->_model->at_events;
		$ext_fields = $this->_model->ext_fields;
		
		if (is_object( $menu )) {
			$menu_params = new JRegistry($menu->params);// new JParameter( $menu->params );
			if (!$menu_params->get('data')->page_title) {
				$params->set('page_title',	
				$match->home.' '.($match->m_played?$match->score1:'-').':'.($match->m_played?$match->score2:'-').' '.$match->away);
			}
		} else {
			$params->set('page_title',	$match->home.' '.($match->m_played?$match->score1:'-').' : '.($match->m_played?$match->score2:'-').' '.$match->away);
		}
		$document->setTitle( $params->get( 'page_title' ) );
		$pathway->addItem( JText::_( $match->home.' '.($match->m_played?$match->score1:'-').':'.($match->m_played?$match->score2:'-').' '.$match->away ));
		
	
		//---language-----------//
	require_once(JPATH_ROOT.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsport'.DIRECTORY_SEPARATOR.'bl_lang.php');
		
		$this->assignRef('bl_lang', $bl_lang);
		$this->assignRef('params',		$params); 
		$this->assignRef('photos',		$photos);
		$this->assignRef('match',		$match);
		$this->assignRef('m_events_home',	$m_events_home);
		$this->assignRef('m_events_away',	$m_events_away);
		$this->assignRef('h_events',	$t_events);
		$this->assignRef('a_events',	$at_events);
		$this->assignRef('ext_fields',	$ext_fields);
		$this->assignRef('lists',	$lists);
		$this->assignRef('enbl_extra',$season_par->s_enbl_extra);
		
		parent::display($tpl);
	}
	
	
}
