<?php
// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view');
/**
 * HTML View class for the Registration component
 *
 * @package		Joomla
 * @subpackage	Registration
 * @since 1.0
 */
class joomsportViewplayer extends JViewLegacy
{
	var $_model = null;
	function __construct(& $model){
		$this->_model = $model;
		parent::__construct();
	}	
	function display($tpl = null)
	{
		$mainframe = JFactory::getApplication();
		JHTML::_('behavior.modal', 'a.team-images');
		$pathway  = $mainframe->getPathway();
		$document = JFactory::getDocument();
		$params	= $mainframe->getParams();
	 	// Page Title
		$jsite = new JSite();
		$menus	= $jsite->getMenu();
		$menu	= $menus->getActive();
		$this->_model->getData();
		$player = $this->_model->_player;
		$stat_array = $this->_model->_data;
		$ext_fields = $this->_model->ext_fields;
		$photo = $this->_model->photos;
		$lists = $this->_model->_lists;
		$def_img = $this->_model->def_img;
		
		if (is_object( $menu )) {
			$menu_params = new JRegistry($menu->params);// new JParameter( $menu->params );
			
			if (!$menu_params->get('data')->page_title) {
				$params->set('page_title',	JText::_( $player->first_name.' '.$player->last_name ));
			}
		} else {
			$params->set('page_title',	JText::_( $player->first_name.' '.$player->last_name.' ('.$player->t_name.')' ));
		}
		$document->setTitle( $params->get( 'page_title' ) );
		$pathway->addItem( JText::_( $player->first_name.' '.$player->last_name ));
		//---language-----------//
	require_once(JPATH_ROOT.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsport'.DIRECTORY_SEPARATOR.'bl_lang.php');
		
		$this->assignRef('bl_lang', $bl_lang);
		$this->assignRef('lists', $lists);
		$this->assignRef('params',		$params); 
		$this->assignRef('player', $player); 
		$this->assignRef('ext_fields', $ext_fields); 
		$this->assignRef('def_img',		$def_img);
		$this->assignRef('photos',		$photo);
		
		$this->assignRef('stat_array',		$stat_array);
		parent::display($tpl);
	}
	
	
}
