<?php
/**
* @version		$Id: helper.php 11074 2008-10-13 04:54:12Z ian $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class modBlPlayersHelper
{
	public static function &getList( &$params )
	{
		

		$db = JFactory::getDBO();
		$rows = array();

		//$s_id = $params->get( 'season_id' );
        $ssss_id = $params->get( 'season_id' );
        $ex = explode('|',$ssss_id );
        $s_id = $ex[0];
        $gr_id = $ex[1];

		$event_id = $params->get( 'event_id' );
		$team_id = $params->get( 'team_id' );
		$display_count 	= $params->get( 'display_count' );
        $displ_team = $params->get( 'displ_team' );

        if($s_id == 0 && $gr_id == 0){
            $query = "SELECT SUM(me.ecount) as cnt,CONCAT(pl.first_name,' ',pl.last_name) as name, t.t_name,md.s_id,t.id as tid ,ev.e_img,ev.e_name,pl.id,pl.def_img FROM #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md, #__bl_players as pl, #__bl_events as ev ,#__bl_teams as t  WHERE  t.id=pl.team_id AND ev.id=me.e_id AND me.e_id = ".$event_id." AND me.match_id = m.id AND m.m_played = 1 AND md.id=m.m_id AND me.player_id = pl.id  ".($team_id?' AND t.id='.$team_id:'')." GROUP BY me.player_id ORDER BY cnt desc LIMIT ".$display_count;
            $db->setQuery($query);
            $rows = $db->loadObjectList();
        }else if($s_id != 0 && $gr_id == 0){
            $query = "SELECT SUM(me.ecount) as cnt,CONCAT(pl.first_name,' ',pl.last_name) as name, t.t_name,t.id as tid ,ev.e_img,ev.e_name,pl.id,pl.def_img FROM #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md, #__bl_players as pl, #__bl_events as ev ,#__bl_teams as t  WHERE  t.id=pl.team_id AND ev.id=me.e_id AND me.e_id = ".$event_id." AND me.match_id = m.id AND m.m_played = 1 AND md.id=m.m_id AND md.s_id=".$s_id." AND me.player_id = pl.id  ".($team_id?' AND t.id='.$team_id:'')." GROUP BY me.player_id ORDER BY cnt desc LIMIT ".$display_count;
            $db->setQuery($query);
            $rows = $db->loadObjectList();
        }else{
            //$query = "SELECT t_id FROM #__bl_grteams WHERE g_id ='".$gr_id."'";
            $query = "SELECT t_id FROM  #__bl_grteams WHERE g_id=".$gr_id;
            $db->setQuery($query);
            $grtm = $db->loadColumn();

            if(count($grtm) == 1){
                $gr_sql = " AND t.id = {$grtm[0]} ";
            }else if(count($grtm) > 1){
                $gr_sql = " AND t.id IN (".implode(',',$grtm).") ";
            }
            $query = "SELECT SUM(me.ecount) as cnt,CONCAT(pl.first_name,' ',pl.last_name) as name, t.t_name,t.id as tid ,ev.e_img,ev.e_name,pl.id,pl.def_img FROM #__bl_match_events as me, #__bl_match as m, #__bl_matchday as md, #__bl_players as pl, #__bl_events as ev ,#__bl_teams as t  WHERE  t.id=pl.team_id AND ev.id=me.e_id AND me.e_id = ".$event_id." AND me.match_id = m.id AND m.m_played = 1 AND md.id=m.m_id AND md.s_id=".$s_id." AND me.player_id = pl.id  ".($team_id?' AND t.id='.$team_id:'')." ".$gr_sql." GROUP BY me.player_id ORDER BY cnt desc LIMIT ".$display_count;
            $db->setQuery($query);
            $rows = $db->loadObjectList();

        }
		return $rows;
	}
	function &getPhoto($player){
		$db = JFactory::getDBO();
		$query = "SELECT p.ph_name as name,p.id as id,p.ph_filename as filename FROM #__bl_assign_photos as ap, #__bl_photos as p WHERE ap.photo_id = p.id AND cat_type = 1 AND cat_id = ".$player->id;
		$db->setQuery($query);
		$photos = $db->loadObjectList();
		
		$def_img = '';
		if($player->def_img){
			$query = "SELECT ph_filename FROM  #__bl_photos as p WHERE p.id = ".$player->def_img;
			$db->setQuery($query);
			$def_img = $db->loadResult();
		}else if(isset($photos[0])){
			$def_img = $photos[0]->filename;
		}
		return $def_img;
	}
    //////////////////////
    function &getTeamName($player ,$params){
        $ssss_id = $params->get( 'season_id' );
        $ex = explode('|',$ssss_id );
        if($ssss_id==0){
            $s_id = 0;
            $gr_id = 0;
        }else{
            $s_id = $ex[0];
            $gr_id = $ex[1];
        }
        $cItemId = $params->get('customitemid');
        $Itemid = JRequest::getInt('Itemid');
        if(!$cItemId){
            $cItemId = $Itemid;
        }
        $db =& JFactory::getDBO();
        $query = "SELECT t.id,t.t_name FROM #__bl_teams as t, #__bl_players_team as p ".($s_id?",#__bl_season_teams as pt":"")." WHERE p.team_id=t.id AND p.player_id=".$player->id." ".($s_id?" AND pt.season_id=".$s_id." AND pt.team_id=t.id AND p.season_id=".$s_id:"")." ORDER BY t.t_name";
        $db->setQuery($query);
        $teamzar = $db->loadObjectList();
        $teams = '';
        $mx = 0;
        if(count($teamzar)){
            foreach($teamzar as $tmz){
                $link2 = JRoute::_("index.php?option=com_joomsport&task=team&tid=".$tmz->id."&sid=".$s_id."&Itemid=".$cItemId);
                if($mx){
                    $teams .= ",";
                }
                $teams .= '<a href="'.$link2.'">'.$tmz->t_name.'</a> ';
                $mx++;
            }
        }
        if($teams){
            $teams = " (".$teams.")";
        }
        return $teams;
    }
}
